<?php namespace App\Http\Controllers;

use App\Client;
use App\Http\Requests;
use App\supportdepartments;
use App\tickets;
use Illuminate\Http\Request;
use App\EmailGateway;


class ClientSupportTicketController extends Controller {


    public function  __construct()
    {
        $this->beforeFilter('csrf', array('on' => 'post'));
    }

    /* all  Function Start Here */
    public function all()
    {
        $sys_menu='All Support Tickets';
        $st = tickets::where('userid','=',\Auth::client()->user()->id)->paginate('10');
        $type = 'All';
        return view('client.support-tickets', compact('st', 'type','sys_menu'));
    }

    public function pending()
    {
        $sys_menu='Pending Support Tickets';
        $st = tickets::where('userid','=',\Auth::client()->user()->id)->where('status', '=', 'Pending')->paginate('10');
        $type = 'Pending';
        return view('client.support-tickets', compact('st', 'type','sys_menu'));
    }


    public function answered()
    {
        $sys_menu='Answered Support Tickets';
        $st = tickets::where('userid','=',\Auth::client()->user()->id)->where('status', '=', 'Answered')->paginate('10');
        $type = 'Answered';
        return view('client.support-tickets', compact('st', 'type','sys_menu'));
    }


    public function customerReply()
    {
        $sys_menu='Reply Support Tickets';
        $st = tickets::where('userid','=',\Auth::client()->user()->id)->where('status', '=', 'Customer Reply')->paginate('10');
        $type = 'reply';
        return view('client.support-tickets', compact('st', 'type','sys_menu'));
    }


    public function closed()
    {
        $sys_menu='Closed Support Tickets';
        $st = tickets::where('userid','=',\Auth::client()->user()->id)->where('status', '=', 'Closed')->paginate('10');
        $type = 'Closed';
        return view('client.support-tickets', compact('st', 'type','sys_menu'));
    }

    /* createNew  Function Start Here */
    public function createNew()
    {
        $sys_menu='Create New Ticket';
        $user=Cl_Info(\Auth::client()->user()->id);
        $sd=supportdepartments::where('show','=','Yes')->get();
        return view('client.create-new-ticket',compact('user','sd','sys_menu'));
    }

    /* postTicket  Function Start Here */
    public function postTicket(Request $request)
    {
        $v = \Validator::make($request->all(), [
            'cid' => 'required', 'subject' => 'required', 'message' => 'required', 'did' => 'required'
        ]);

        if ($v->fails()) {
            return redirect('client/support-tickets/create-new')->withErrors($v->errors());
        }

        $cid = \Input::get('cid');
        $subject = \Input::get('subject');
        $message = \Input::get('message');
        $did = \Input::get('did');

        $cl = Client::find($cid);
        $cl_name = $cl->fname . ' ' . $cl->lname;
        $cl_email = $cl->email;


        $d = new tickets();
        $d->did = $did;
        $d->userid = $cid;
        $d->name = $cl_name;
        $d->email = $cl_email;
        $d->date = date('Y-m-d');
        $d->subject = $subject;
        $d->message = $message;
        $d->status = 'Pending';
        $d->admin ='client';
        $d->replyby = '';
        $d->closed_by = '';
        $d->save();
        $id = $d->id;




        /*For Email Confirmation*/

        $conf = \DB::table('email_templates')->where('tplname', '=', 'Ticket For Admin')->first();

        $estatus=$conf->status;
        if($estatus=='1') {


            $deprt = supportdepartments::find($did);

            $sysEmail = $deprt->email;
            $sysCompany = $deprt->name;
            $sysUrl = url() . '/login';

            $template = $conf->message;
            $subject = $conf->subject;

            $data = array('name' => $cl_name,
                'business_name' => $sysCompany,
                'ticket_id' => $id,
                'ticket_subject' => $subject,
                'message' => $message,
                'create_by' => $cl_name,
                'department_name' => $sysCompany,
                'template' => $template,
                'sys_url' => $sysUrl
            );


            $message = _render($template, $data);
            $mail_subject = _render($subject, $data);
            $body = $message;


            /*Set Authentication*/

            $default_gt = app_config('DefaultGateway');

            if ($default_gt == 'sendmail') {
                \Mail::send('emails.ticket-for-admin', $data, function ($message) use ($mail_subject, $sysEmail, $cl_email) {
                    $message->to($cl_email)->from($sysEmail)->subject($mail_subject);
                });
            } else {
                if ($default_gt == 'PHPMailer') {
                    $d = EmailGateway::where('name', '=', 'PHPMailer')->first();
                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } elseif ($default_gt == 'SendGrid') {
                    $d = EmailGateway::where('name', '=', 'SendGrid')->first();

                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } elseif ($default_gt == 'MailGun') {
                    $d = EmailGateway::where('name', '=', 'MailGun')->first();

                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } else {

                }


                /*Send Message*/

                $mailer = \Swift_Mailer::newInstance($transport);
                $message = \Swift_Message::newInstance();

                $message->setSubject($mail_subject);
                $message->setFrom(array($sysEmail => $sysCompany));
                $message->setTo(array($cl_email => $cl_name));
                $message->setBody($body, 'text/html');
                $mailer->send($message);


                /*Email Confirmation End Here*/
            }
        }

        return redirect('client/support-tickets/view-ticket/' . $id)->with([
            'message' => 'Support Ticket Created Successfully'
        ]);
    }

    /* viewTicket  Function Start Here */
    public function viewTicket($id)
    {
        $sys_menu='Manage Support Ticket';

        $st = tickets::where('userid','=',\Auth::client()->user()->id)->find($id);
        $did = $st->did;

        $td = supportdepartments::find($did);
        $trply=\DB::table('ticketreplies')->where('tid',$id)->orderBy('date','desc')->get();

        return view('client.view-support-ticket', compact('st', 'sd', 'td','trply','sys_menu'));
    }


    /* replayTicket  Function Start Here */
    public function replayTicket(Request $request)
    {
        $v=\Validator::make($request->all(),[
            'message'=>'required'
        ]);

        $cmd=\Input::get('cmd');

        if($v->fails()){
            return redirect('admin/support-tickets/view-ticket/'.$cmd)->withErrors($v->errors());
        }

        $message=\Input::get('message');

        $st=tickets::find($cmd);
        $cid=$st->userid;
        $cl=Client::find($cid);
        $cl_name=$cl->fname.' '.$cl->lname;

        $d=\DB::table('ticketreplies')->insert([
            'tid'=>$cmd,
            'userid'=>$cid,
            'name'=>$cl_name,
            'date'=>date('Y-m-d'),
            'message'=>$message,
            'admin'=>'client',
            'image'=>'',
        ]);

        $st->replyby=$cl_name;
        $st->status='Customer Reply';
        $st->save();

        return redirect('client/support-tickets/view-ticket/'.$cmd)->with([
            'message'=>'Ticket Reply Successfully'
        ]);

    }

}
