<?php

namespace App\Http\Controllers;

use App\Http\Requests;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Input;

class EmailGateway extends Controller
{

    public function __construct()
    {
        $this->beforeFilter('crsf', array('on' => 'post'));
    }

    public function index(\App\EmailGateway $gateway)
    {
        $sys_menu='Email Gateways';
        $email_gateways = $gateway->get();
        return view('admin.email_gateways', compact('email_gateways','sys_menu'));
    }

    public function show(\App\EmailGateway $gateway, $name)
    {
        $sys_menu="Email Gateway Manage";
        $result = $gateway->whereName($name)->first();
        return view('admin.email-gateway-manage', compact('result','sys_menu'));
    }

    public function updateGateway(Request $request)
    {

        $gw = Input::get('gateway');
        $appStage = app_config('AppStage');
        if ($appStage == 'Demo') {
            return redirect('admin/email-gateway-manage/' . $gw)->with([
                'message' => 'This Option is Disable In Demo Mode',
                'message_important' => true
            ]);
        }


        $v = \Validator::make($request->all(), [
            'host_name' => 'required', 'username' => 'required', 'password' => 'required'
        ]);

        if ($v->fails()) {
            return redirect('admin/email-gateway-manage/' . $gw)->withErrors($v->errors());
        }

        $host_name = Input::get('host_name');
        $username = Input::get('username');
        $password = Input::get('password');
        $port = Input::get('port');
        $secure = Input::get('secure');
        $status = Input::get('status');

        $gateway = \App\EmailGateway::where('name', $gw)->firstOrFail();

        $gateway->host_name = $host_name;
        $gateway->username = $username;
        $gateway->password = $password;
        $gateway->port = $port;
        $gateway->secure = $secure;
        $gateway->status = $status;
        $gateway->save();

        return redirect('admin/email-gateway-manage/' . $gw)->with(['message' => 'Gateway Update Successfully']);

    }

}
