<?php namespace App\Http\Controllers;

use App\Client;
use App\Http\Requests;
use App\supportdepartments;
use App\tickets;
use Illuminate\Http\Request;
use App\EmailGateway;

class SupportTicketController extends Controller
{

    public function  __construct()
    {
        $this->beforeFilter('csrf', array('on' => 'post'));
    }

    /* all  Function Start Here */
    public function all()
    {
        $sys_menu = 'All Support Tickets';
        $st = tickets::paginate('10');
        $type = 'All';
        return view('admin.support-tickets', compact('st', 'type', 'sys_menu'));
    }

    public function pending()
    {
        $sys_menu = 'Pending Support Tickets';
        $st = tickets::where('status', '=', 'Pending')->paginate('10');
        $type = 'Pending';
        return view('admin.support-tickets', compact('st', 'type', 'sys_menu'));
    }


    public function answered()
    {
        $sys_menu = 'Answered Support Tickets';
        $st = tickets::where('status', '=', 'Answered')->paginate('10');
        $type = 'Answered';
        return view('admin.support-tickets', compact('st', 'type', 'sys_menu'));
    }


    public function customerReply()
    {
        $sys_menu = 'Reply Support Tickets';
        $st = tickets::where('status', '=', 'Customer Reply')->paginate('10');
        $type = 'reply';
        return view('admin.support-tickets', compact('st', 'type', 'sys_menu'));
    }


    public function closed()
    {
        $sys_menu = 'Closed Support Tickets';
        $st = tickets::where('status', '=', 'Closed')->paginate('10');
        $type = 'Closed';
        return view('admin.support-tickets', compact('st', 'type', 'sys_menu'));
    }


    /* department  Function Start Here */
    public function department()
    {
        $sys_menu = 'Support Departments';
        $sd = supportdepartments::paginate('10');

        return view('admin.support-department', compact('sd', 'sys_menu'));
    }

    /* addDepartment  Function Start Here */
    public function addDepartment()
    {
        $sys_menu = 'Add Support Department';
        return view('admin.add-support-department', compact('sys_menu'));
    }

    /* postDepartment  Function Start Here */
    public function postDepartment(Request $request)
    {

        $v = \Validator::make($request->all(), [
            'dname' => 'required', 'email' => 'required', 'show' => 'required'
        ]);

        if ($v->fails()) {
            return redirect('admin/support-tickets/add-department')->withErrors($v->errors());
        }

        $dname = \Input::get('dname');
        $demail = \Input::get('email');
        $show = \Input::get('show');

        if ($dname != '') {
            $d = \DB::table('supportdepartments')->where('email', '=', $demail)->first();
            if ($d) {
                return redirect('admin/support-tickets/add-department')->with([
                    'message' => 'Email Address Already exist, Please use different email address',
                    'message_important' => true
                ]);
            }
        }

        if ($demail != '') {
            $d = \DB::table('supportdepartments')->where('email', '=', $demail)->first();
            if ($d) {
                return redirect('admin/support-tickets/add-department')->with([
                    'message' => 'Email Address Already exist, Please use different email address',
                    'message_important' => true
                ]);
            }
        }


        $ord = \DB::table('supportdepartments')->orderBy('id', 'desc')->first();
        $order = $ord->order;
        $order++;

        $d = new supportdepartments();
        $d->name = $dname;
        $d->email = $demail;
        $d->order = $order;
        $d->show = $show;
        $d->save();

        return redirect('admin/support-tickets/department')->with([
            'message' => 'Department Added Successfully'
        ]);


    }

    /* viewDepartment  Function Start Here */
    public function viewDepartment($id)
    {
        $sys_menu = 'Manage Support Department';
        $d = supportdepartments::find($id);
        return view('admin.view-department', compact('d', 'sys_menu'));
    }

    /* updateDepartment  Function Start Here */
    public function updateDepartment(Request $request)
    {
        $v = \Validator::make($request->all(), [
            'dname' => 'required', 'email' => 'required', 'show' => 'required'
        ]);

        $id = \Input::get('cmd');

        $appStage = app_config('AppStage');
        if ($appStage == 'Demo') {
            return redirect('admin/support-tickets/view-department/' . $id)->with([
                'message' => 'This Option Is Disable In Demo Mode',
                'message_important' => true
            ]);
        }


        if ($v->fails()) {
            return redirect('admin/support-tickets/view-department/' . $id)->withErrors($v->errors());
        }

        $dname = \Input::get('dname');
        $demail = \Input::get('email');
        $show = \Input::get('show');

        $findEmail = \DB::table('supportdepartments')->find($id);
        $exitEmail = $findEmail->email;

        if ($demail == $exitEmail) {
            $demail = $exitEmail;
        } else {
            $findEmail = \DB::table('supportdepartments')->where('email', '=', $demail)->count('id');
            if ($findEmail != '0') {
                return redirect('admin/support-tickets/view-department/' . $id)->with([
                    'message' => 'Email Address Already exist, Please use different email address',
                    'message_important' => true
                ]);
            }
        }


        $findName = \DB::table('supportdepartments')->find($id);
        $exitName = $findName->name;

        if ($dname == $exitName) {
            $dname = $exitName;
        } else {
            $findName = \DB::table('supportdepartments')->where('name', '=', $dname)->count('id');
            if ($findName != '0') {
                return redirect('admin/support-tickets/view-department/' . $id)->with([
                    'message' => 'This Department Name Address Already exist, Please use different Another Name',
                    'message_important' => true
                ]);
            }
        }

        $d = supportdepartments::find($id);
        $d->name = $dname;
        $d->email = $demail;
        $d->show = $show;
        $d->save();

        return redirect('admin/support-tickets/department')->with([
            'message' => 'Department Updated Successfully'
        ]);
    }


    /* createNew  Function Start Here */
    public function createNew()
    {
        $sys_menu = 'Create New Ticket';
        $sd = supportdepartments::all();
        $cl = Client::all();
        return view('admin.create-new-ticket', compact('sd', 'cl', 'sys_menu'));
    }

    /* postTicket  Function Start Here */
    public function postTicket(Request $request)
    {
        $v = \Validator::make($request->all(), [
            'cid' => 'required', 'subject' => 'required', 'message' => 'required', 'did' => 'required'
        ]);

        if ($v->fails()) {
            return redirect('admin/support-tickets/create-new')->withErrors($v->errors());
        }

        $cid = \Input::get('cid');
        $subject = \Input::get('subject');
        $st_message = \Input::get('message');
        $did = \Input::get('did');

        $cl = Client::find($cid);
        $cl_name = $cl->fname . ' ' . $cl->lname;
        $cl_email = $cl->email;
        $admin = \Auth::admin()->user()->name;

        $d = new tickets();
        $d->did = $did;
        $d->userid = $cid;
        $d->name = $cl_name;
        $d->email = $cl_email;
        $d->date = date('Y-m-d');
        $d->subject = $subject;
        $d->message = $st_message;
        $d->status = 'Pending';
        $d->admin = $admin;
        $d->replyby = '';
        $d->closed_by = '';
        $d->save();
        $id = $d->id;


        /*For Email Confirmation*/

        $conf = \DB::table('email_templates')->where('tplname', '=', 'Ticket For Customer')->first();

        $estatus = $conf->status;
        if ($estatus == '1') {

            $deprt = supportdepartments::find($did);

            $sysEmail = $deprt->email;
            $sysCompany = $deprt->name;
            $sysUrl = url() . '/login';

            $template = $conf->message;
            $subject = $conf->subject;

            $data = array('name' => $cl_name,
                'business_name' => $sysCompany,
                'ticket_id' => $id,
                'ticket_subject' => $subject,
                'message' => $st_message,
                'create_by' => $admin,
                'template' => $template,
                'sys_url' => $sysUrl
            );


            $message = _render($template, $data);
            $mail_subject = _render($subject, $data);
            $body = $message;


            /*Set Authentication*/

            $default_gt = app_config('DefaultGateway');

            if ($default_gt == 'sendmail') {
                \Mail::send('emails.ticket-for-client', $data, function ($message) use ($mail_subject, $sysEmail, $cl_email) {
                    $message->to($cl_email)->from($sysEmail)->subject($mail_subject);
                });
            } else {
                if ($default_gt == 'PHPMailer') {
                    $d = EmailGateway::where('name', '=', 'PHPMailer')->first();
                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } elseif ($default_gt == 'SendGrid') {
                    $d = EmailGateway::where('name', '=', 'SendGrid')->first();

                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } elseif ($default_gt == 'MailGun') {
                    $d = EmailGateway::where('name', '=', 'MailGun')->first();

                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } else {

                }


                /*Send Message*/

                $mailer = \Swift_Mailer::newInstance($transport);
                $message = \Swift_Message::newInstance();

                $message->setSubject($mail_subject);
                $message->setFrom(array($sysEmail => $sysCompany));
                $message->setTo(array($cl_email => $cl_name));
                $message->setBody($body, 'text/html');
                $mailer->send($message);


                /*Email Confirmation End Here*/
            }
        }
        return redirect('admin/support-tickets/view-ticket/' . $id)->with([
            'message' => 'Support Ticket Created Successfully'
        ]);
    }

    /* viewTicket  Function Start Here */
    public function viewTicket($id)
    {
        $sys_menu = 'Manage Support Ticket';
        $st = tickets::find($id);
        $did = $st->did;
        $td = supportdepartments::find($did);
        $trply = \DB::table('ticketreplies')->where('tid', $id)->orderBy('date', 'desc')->get();

        return view('admin.view-support-ticket', compact('st', 'sd', 'td', 'trply', 'sys_menu'));
    }

    /* ticketDepartment  Function Start Here */
    public function ticketDepartment($id)
    {
        $cl = tickets::find($id);
        $sd = supportdepartments::all();
        $edid = $cl->did;
        $token = csrf_token();
        $a_opt = '';
        foreach ($sd as $d) {
            if ($edid == $d->id) {
                $a_opt .= '<option value="' . $d->id . '" selected>' . $d->name . '</option>';
            } else {
                $a_opt .= '<option value="' . $d->id . '">' . $d->name . '</option>';
            }
        }

        echo '
<div class="modal-header">
	<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	<h3>Change Department</h3>
</div>
<div class="modal-body">

<form class="form-horizontal" role="form" id="form_department_update" method="post">
<input type="hidden" name="_token" value="' . $token . '">
<div class="form-group">
    <label for="subject" class="col-sm-2 control-label">Department</label>
    <div class="col-sm-10">
       <select id="did" name="did">
' . $a_opt . '
</select>
    </div>
  </div>

</form>

</div>
<div class="modal-footer">

	<input type="hidden" id="cmd" name="cmd" value=' . $id . '>
	<button id="update_department" class="btn btn-primary">Update</button>
	<button type="button" data-dismiss="modal" class="btn">Close</button>
</div>';
    }

    /* updateTicketDepartment  Function Start Here */
    public function updateTicketDepartment(Request $request)
    {
        $v = \Validator::make($request->all(), [
            'did' => 'required'
        ]);

        $cmd = \Input::get('cmd');

        $appStage = app_config('AppStage');
        if ($appStage == 'Demo') {
            return redirect('admin/support-tickets/view-ticket/' . $cmd)->with([
                'message' => 'This Option Is Disable In Demo Mode',
                'message_important' => true
            ]);
        }


        $did = \Input::get('did');
        if ($v->fails()) {
            return redirect('admin/support-tickets/view-ticket/' . $cmd)->withErrors($v->errors());
        }

        $d = tickets::find($cmd);
        $d->did = $did;
        $d->save();
        return $cmd;


    }

    /* ticketStatus  Function Start Here */
    public function ticketStatus($id)
    {
        $cl = tickets::find($id);
        $edid = $cl->did;
        $token = csrf_token();
        $status = $cl->status;

        if ($status == 'Pending') {
            $a_opt = '<option value="Pending" selected>Pending</option>'
                . '<option value="Answered">Answered</option>'
                . '<option value="Customer Reply">Customer Reply</option>'
                . '<option value="Closed">Closed</option>';

        } elseif ($status == 'Answered') {
            $a_opt = '<option value="Pending">Pending</option>'
                . '<option value="Answered" selected>Answered</option>'
                . '<option value="Customer Reply">Customer Reply</option>'
                . '<option value="Closed">Closed</option>';

        } elseif ($status == 'Customer Reply') {
            $a_opt = '<option value="Pending">Pending</option>'
                . '<option value="Answered">Answered</option>'
                . '<option value="Customer Reply" selected>Customer Reply</option>'
                . '<option value="Closed">Closed</option>';

        } else {
            $a_opt = '<option value="Pending">Pending</option>'
                . '<option value="Answered">Answered</option>'
                . '<option value="Customer Reply">Customer Reply</option>'
                . '<option value="Closed" selected>Closed</option>';
        }


        echo '
<div class="modal-header">
	<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	<h3>Change Status</h3>
</div>
<div class="modal-body">

<form class="form-horizontal" role="form" id="form_status_update" method="post">
<input type="hidden" name="_token" value="' . $token . '">
<div class="form-group">
    <label for="status" class="col-sm-2 control-label">Status</label>
    <div class="col-sm-10">
       <select id="tstatus" name="tstatus">
' . $a_opt . '
        </select>
            </div>
          </div>

</form>

</div>
<div class="modal-footer">

	<input type="hidden" id="cmd" name="cmd" value=' . $id . '>
	<button id="update_status" class="btn btn-primary">Update</button>
	<button type="button" data-dismiss="modal" class="btn">Close</button>
</div>';
    }


    /* updateTicketStatus  Function Start Here */
    public function updateTicketStatus(Request $request)
    {
        $v = \Validator::make($request->all(), [
            'tstatus' => 'required'
        ]);

        $cmd = \Input::get('cmd');
        $status = \Input::get('tstatus');
        if ($v->fails()) {
            return redirect('admin/support-tickets/view-ticket/' . $cmd)->withErrors($v->errors());
        }

        $admin = _info(\Auth::admin()->user()->id);

        $d = tickets::find($cmd);
        $d->status = $status;
        if ($status == 'Closed') {
            $d->closed_by = $admin->name;
        }
        $d->save();
        return $cmd;


    }

    /* replayTicket  Function Start Here */
    public function replayTicket(Request $request)
    {
        $v = \Validator::make($request->all(), [
            'message' => 'required'
        ]);

        $cmd = \Input::get('cmd');

        if ($v->fails()) {
            return redirect('admin/support-tickets/view-ticket/' . $cmd)->withErrors($v->errors());
        }

        $message = \Input::get('message');

        $st = tickets::find($cmd);
        $cid = $st->userid;
        $did = $st->did;
        $subject = $st->subject;

        $cl = Client::find($cid);
        $cl_name = $cl->fname . ' ' . $cl->lname;
        $cl_email = $cl->email;

        $admin = _info(\Auth::admin()->user()->id);
        $admin_name = $admin->name;

        $d = \DB::table('ticketreplies')->insert([
            'tid' => $cmd,
            'userid' => $cid,
            'name' => $cl_name,
            'date' => date('Y-m-d'),
            'message' => $message,
            'admin' => $admin_name,
            'image' => '',
        ]);

        $st->replyby = $admin_name;
        $st->status = 'Answered';
        $st->save();


        /*For Email Confirmation*/

        $conf = \DB::table('email_templates')->where('tplname', '=', 'Ticket Reply')->first();

        $estatus = $conf->status;
        if ($estatus == '1') {

            $deprt = supportdepartments::find($did);

            $sysEmail = $deprt->email;
            $sysCompany = $deprt->name;
            $sysUrl = url() . '/login';

            $template = $conf->message;
            $subject = $conf->subject;

            $data = array('name' => $cl_name,
                'business_name' => $sysCompany,
                'ticket_id' => $cmd,
                'ticket_subject' => $subject,
                'message' => $message,
                'reply_by' => $admin_name,
                'template' => $template,
                'sys_url' => $sysUrl
            );


            $body = $message;

            $message = _render($template, $data);
            $mail_subject = _render($subject, $data);

            /*Set Authentication*/

            $default_gt = app_config('DefaultGateway');

            if ($default_gt == 'sendmail') {
                \Mail::send('emails.ticket-reply', $data, function ($message) use ($mail_subject, $sysEmail, $cl_email) {
                    $message->to($cl_email)->from($sysEmail)->subject($mail_subject);
                });
            } else {
                if ($default_gt == 'PHPMailer') {
                    $d = EmailGateway::where('name', '=', 'PHPMailer')->first();
                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } elseif ($default_gt == 'SendGrid') {
                    $d = EmailGateway::where('name', '=', 'SendGrid')->first();

                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } elseif ($default_gt == 'MailGun') {
                    $d = EmailGateway::where('name', '=', 'MailGun')->first();

                    $host = $d->host_name;
                    $username = $d->username;
                    $password = $d->password;
                    $port = $d->port;
                    $secure = $d->secure;

                    $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                    $transport->setUsername($username);
                    $transport->setPassword($password);

                } else {

                }


                /*Send Message*/

                $mailer = \Swift_Mailer::newInstance($transport);
                $message = \Swift_Message::newInstance();

                $message->setSubject($mail_subject);
                $message->setFrom(array($sysEmail => $sysCompany));
                $message->setTo(array($cl_email => $cl_name));
                $message->setBody($body, 'text/html');
                $mailer->send($message);


                /*Email Confirmation End Here*/

            }
        }
        return redirect('admin/support-tickets/view-ticket/' . $cmd)->with([
            'message' => 'Ticket Reply Successfully'
        ]);

    }

    /* deleteTicket  Function Start Here */
    public function deleteTicket($id)
    {
        $appStage = app_config('AppStage');
        if ($appStage == 'Demo') {
            return redirect('admin/support-tickets/all')->with([
                'message' => 'This Option Is Disable In Demo Mode',
                'message_important' => true
            ]);
        }


        $d = tickets::find($id);

        if ($d) {

            \DB::table('ticketreplies')->where('tid', '=', $id)->delete();

            $d->delete();

            return redirect('admin/support-tickets/all')->with([
                'message' => 'Ticket Deleted Successfully'
            ]);
        } else {
            return redirect('admin/support-tickets/all')->with([
                'message' => 'There Have no Ticket For Delete',
                'message_important' => true
            ]);
        }

    }


    /* deleteDepartment  Function Start Here */
    public function deleteDepartment($id)
    {

        $appStage = app_config('AppStage');
        if ($appStage == 'Demo') {
            return redirect('admin/support-tickets/department')->with([
                'message' => 'This Option Is Disable In Demo Mode',
                'message_important' => true
            ]);
        }

        $d = supportdepartments::find($id);

        if ($d) {
            $d->delete();
            return redirect('admin/support-tickets/department')->with([
                'message' => 'Department Deleted Successfully'
            ]);
        } else {
            return redirect('admin/support-tickets/all')->with([
                'message' => 'There Have no Department For Delete',
                'message_important' => true
            ]);
        }

    }


}
