<?php namespace App\Http\Controllers;

use App\Downloads;
use App\EmailGateway;
use App\Http\Requests;
use App\Http\Controllers\Controller;

use App\Uploads;
use Illuminate\Contracts\Filesystem\Filesystem;

class UploadsController extends Controller {

    public function __construct()
    {
        $this->beforeFilter('csrf', array('on' => 'post'));
    }

    /* allUploads  Function Start Here */
    public function allUploads()
    {
        $sys_menu='All Uploads';
        $u=Uploads::paginate(20);
        return view('admin.uploads',compact('u','sys_menu'));
    }

    /* deleteFile  Function Start Here */
    public function deleteFile($id)
    {
        $appStage=app_config('AppStage');
        $store_type = app_config('StorageServer');

        if($appStage=='Demo'){
            return redirect('admin/uploads')->with([
                'message' => 'This Option Is Disable In Demo Mode',
                'message_important' => true
            ]);
        }

        $d=Uploads::where('fileid','=',$id)->first();

        if ($d) {
            if ($d->status == 'Ready') {
                if ($store_type == 'aws') {
                    \Storage::disk('s3')->deleteDirectory($id);
                } else {
                    \Storage::disk('local')->deleteDirectory($id);
                }
            }
            $d->delete();

            return redirect('admin/uploads')->with([
                'message'=>'File Deleted Successfully'
            ]);
        }else{
            return redirect('admin/uploads')->with([
                'message'=>'There Have no File For Delete',
                'message_important'=>true
            ]);
        }
    }

    /* destroyFile  Function Start Here */
    public function destroyFile($id)
    {
        $appStage=app_config('AppStage');
        $store_type = app_config('StorageServer');

        $d=Uploads::where('fileid','=',$id)->first();

        if ($d) {
            if ($d->status == 'Ready') {
                if ($store_type == 'aws') {
                    \Storage::disk('s3')->deleteDirectory($id);
                } else {
                    \Storage::disk('local')->deleteDirectory($id);
                }
            }

            $d->status = 'Removed';
            $d->expire = 'Yes';
            $d->save();
            return redirect('admin/uploads')->with([
                'message'=>'File Destroyed Successfully'
            ]);
        }else{
            return redirect('admin/uploads')->with([
                'message'=>'There Have no File For Destroy',
                'message_important'=>true
            ]);
        }
    }


    /* userShareFile  Function Start Here */

    public function userShareFile($id)
    {
        $d=Uploads::where('fileid','=',$id)->first();
        $password_conf=$d->password;

        if ($password_conf == 'Yes') {
            $url = url() . '/client/file-sharing/password-protected/' . $id;
        } else {
            $url = url() . '/client/file-sharing/user-download/' . $id;
        }

        $token = csrf_token();

        echo '
<div class="modal-header">
	<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	<h3>Share Your File</h3>
</div>
<div class="modal-body">

<form role="form" id="form_status_update" method="post">
<input type="hidden" name="_token" value="' . $token . '">

  <div class="form-group">
    <label for="cid">Link To Folder</label>
       <input type="text" value="'.$url.'" class="form-control" id="shareFolder">
  </div>

<hr>
      <div class="form-group">
           <label for="subject">Send This Link TO</label>
            <input type="email" class="form-control" id="email" name="email" placeholder="Email"><br>
          <textarea class="form-control" rows="5" name="message" placeholder="Message" id="message"></textarea>
      </div>

</form>

</div>
<div class="modal-footer">

	<input type="hidden" id="cmd" name="cmd" value=' . $id . '>
	<button id="share_file" class="btn btn-primary">Share</button>
	<button type="button" data-dismiss="modal" class="btn">Close</button>
</div>';
    }

    /* userShareFilePost  Function Start Here */

    public function userShareFilePost()
    {

        $cmd=\Input::get('cmd');
        $email=\Input::get('email');
        $message=\Input::get('message');


        $d=Uploads::where('fileid','=',$cmd)->first();

        if($d){
            $password_conf=$d->password;
            $subject = "File From ".app_config('AppName');
            /*For Email Confirmation*/

            $conf = \DB::table('email_templates')->where('tplname', '=', 'File Sharing Email')->first();

            $estatus = $conf->status;
            if ($estatus == '1') {
                $sysEmail = app_config('Email');
                $sysCompany = app_config('AppName');

                if ($password_conf == 'Yes') {
                    $download_link = url() . '/client/file-sharing/password-protected/' . $cmd;
                } else {
                    $download_link = url() . '/client/file-sharing/user-download/' . $cmd;
                }

                $data = array(
                    'business_name' => $sysCompany,
                    'message' => $message,
                    'subject' => $subject,
                    'download_link' => $download_link
                );

                $template = $conf->message;
                $message = _render($template, $data);
                $mail_subject = _render($subject, $data);
                $body = $message;


                /*Set Authentication*/

                $default_gt = app_config('DefaultGateway');

                if ($default_gt == 'sendmail') {
                    \Mail::send('emails.file-sharing', $data, function ($message) use ($mail_subject, $sysEmail, $email) {
                        $message->to($email)->from($sysEmail)->subject($mail_subject);
                    });
                } else {
                    if ($default_gt == 'PHPMailer') {
                        $d = EmailGateway::where('name', '=', 'PHPMailer')->first();
                        $host = $d->host_name;
                        $username = $d->username;
                        $password = $d->password;
                        $port = $d->port;
                        $secure = $d->secure;

                        $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                        $transport->setUsername($username);
                        $transport->setPassword($password);

                    } elseif ($default_gt == 'SendGrid') {
                        $d = EmailGateway::where('name', '=', 'SendGrid')->first();

                        $host = $d->host_name;
                        $username = $d->username;
                        $password = $d->password;
                        $port = $d->port;
                        $secure = $d->secure;

                        $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                        $transport->setUsername($username);
                        $transport->setPassword($password);

                    } elseif ($default_gt == 'MailGun') {
                        $d = EmailGateway::where('name', '=', 'MailGun')->first();

                        $host = $d->host_name;
                        $username = $d->username;
                        $password = $d->password;
                        $port = $d->port;
                        $secure = $d->secure;

                        $transport = \Swift_SmtpTransport::newInstance($host, $port, $secure);
                        $transport->setUsername($username);
                        $transport->setPassword($password);

                    } else {

                    }

                    /*Send Message*/

                    $mailer = \Swift_Mailer::newInstance($transport);
                    $message = \Swift_Message::newInstance();

                    $message->setSubject($mail_subject);
                    $message->setFrom($sysEmail);
                    $message->setTo($email);
                    $message->setBody($body, 'text/html');
                    $mailer->send($message);
                }
            }
        }else{
            return 'File Not Found For Share';
        }

        return '1';

    }



}
