<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/



get('admin', 'AdminController@login');
post('admin/getLogin', 'AdminController@getLogin');
get('admin/dashboard', 'AdminController@index');
get('admin/logout', 'AdminController@logout');
get('admin/edit-profile', 'AdminController@editProfile');
post('admin/post-edit-profile','AdminController@postEditProfile');
get('admin/forgot-password','AdminController@forgotPassword');
post('admin/forgot-password-token','AdminController@forgotPasswordToken');
get('admin/forgot-password-token-code/{token}','AdminController@forgotPasswordTokenCode');



/*Clients Management*/

get('admin/all-clients', 'ClientController@all');
get('admin/add-new-client', 'ClientController@add');
post('admin/post-client', 'ClientController@post');
get('admin/view-client/{id}', 'ClientController@show');
post('admin/update-client', 'ClientController@update');

post('admin/find-client', 'ClientController@findClient');
post('admin/search-client', 'ClientController@searchClient');

post('admin/ajax-client/', 'ClientController@ajaxClient');

get('admin/delete-client/{id}','ClientController@deleteClient');

post('admin/update-image','ClientController@updateImage');

/*Invoices Management*/

get('admin/all-invoices', 'InvoiceController@all');
get('admin/all-recurring-invoices', 'InvoiceController@recurring');
get('admin/add-new-invoice', 'InvoiceController@addInvoice');
get('admin/add-recurring-invoice', 'InvoiceController@addRecurring');
post('admin/add-invoice', 'InvoiceController@postInvoice');
post('admin/add-recurring-invoice', 'InvoiceController@postRecurring');
get('admin/view-invoice/{id}', 'InvoiceController@show');
get('admin/client-iview/{id}', 'InvoiceController@clientIView');
get('admin/iprint/{id}', 'InvoiceController@printView');
get('admin/invoice-edit/{id}', 'InvoiceController@editInvoice');
post('admin/update-invoice/{id}', 'InvoiceController@updateInvoice');

post('admin/invoice-paid', 'InvoiceController@paidInvoice');
post('admin/invoice-unpaid', 'InvoiceController@unpaidInvoice');
post('admin/invoice-cancelled', 'InvoiceController@cancelledInvoice');
post('admin/invoice-partially-paid', 'InvoiceController@partiallyPaidInvoice');

get('admin/delete-invoice/{id}','InvoiceController@deleteInvoice');
get('admin/stop-recurring-invoice/{id}','InvoiceController@stopRecurringInvoice');



/*Email Gateway*/
get('admin/email-gateway', 'EmailGateway@index');
get('admin/email-gateway-manage/{name}', 'EmailGateway@show');
post('admin/email-gateway-update', 'EmailGateway@updateGateway');


/*Uploads Module*/
get('admin/uploads','UploadsController@allUploads');
get('admin/uploads/delete-file/{id}','UploadsController@deleteFile');
get('admin/uploads/destroy-file/{id}','UploadsController@destroyFile');
get('admin/uploads/download-file/{id}','UploadsController@downloadFile');
get('admin/file-sharing/share-file/{id}','UploadsController@userShareFile');
post('admin/file-sharing/share-fle-post','UploadsController@userShareFilePost');



/*Downloads Module*/
//get('admin/downloads','DownloadsController@allDownloads');



/*Support Ticket System*/

get('admin/support-tickets/all','SupportTicketController@all');
get('admin/support-tickets/pending','SupportTicketController@pending');
get('admin/support-tickets/answered','SupportTicketController@answered');
get('admin/support-tickets/customer-reply','SupportTicketController@customerReply');
get('admin/support-tickets/closed','SupportTicketController@closed');
get('admin/support-tickets/create-new','SupportTicketController@createNew');
get('admin/support-tickets/view-ticket/{id}','SupportTicketController@viewTicket');
get('admin/support-tickets/department','SupportTicketController@department');
get('admin/support-tickets/add-department','SupportTicketController@addDepartment');
get('admin/support-tickets/view-department/{id}','SupportTicketController@viewDepartment');
get('admin/support-tickets/ticket-department/{id}','SupportTicketController@ticketDepartment');
get('admin/support-tickets/ticket-status/{id}','SupportTicketController@ticketStatus');

post('admin/support-tickets/post-department','SupportTicketController@postDepartment');
post('admin/support-tickets/update-department','SupportTicketController@updateDepartment');
post('admin/support-tickets/post-ticket','SupportTicketController@postTicket');
post('admin/support-tickets/ticket-update-department','SupportTicketController@updateTicketDepartment');
post('admin/support-tickets/ticket-update-status','SupportTicketController@updateTicketStatus');
post('admin/support-tickets/replay-ticket','SupportTicketController@replayTicket');

get('admin/support-tickets/delete-ticket/{id}','SupportTicketController@deleteTicket');

get('admin/support-tickets/delete-department/{id}','SupportTicketController@deleteDepartment');

/*System Setting*/
get('admin/localization', 'SystemSettingController@localization');
post('admin/localizationPost', 'SystemSettingController@localizationPost');
get('admin/system-settings', 'SystemSettingController@index');

post('admin/update-system-setting','SystemSettingController@updateSetting');


/*Time Automation*/
get('admin/time-automation','SystemSettingController@timeAutomation');
post('admin/post-time-automation','SystemSettingController@timeAutomationPost');


/*Payment Gateways*/
get('admin/payment-gateways','SystemSettingController@paymentGateway');
get('admin/payment-gateway-manage/{name}', 'SystemSettingController@viewGateway');
post('admin/payment-gateway-update', 'SystemSettingController@updateGateway');


/*Email Template*/

get('admin/email-templates','SystemSettingController@emailTemplates');
get('admin/email-template-manage/{id}','SystemSettingController@manageTemplate');
post('admin/email-templates-update','SystemSettingController@updateTemplate');


/*For Client Portal*/

get('/','ClientPortal@landingPage');
get('login','ClientPortal@login');
get('register','ClientPortal@register');
post('client/post-register','ClientPortal@postRegister');
post('client/getLogin', 'ClientPortal@getLogin');
get('client/dashboard', 'ClientPortal@dashboard');
get('client/logout', 'ClientPortal@logout');
get('client/edit-profile', 'ClientPortal@editProfile');

post('client/update-client', 'ClientPortal@update');
post('client/update-image','ClientPortal@updateImage');

get('client/forgot-password','ClientPortal@forgotPassword');
post('client/forgot-password-token','ClientPortal@forgotPasswordToken');
get('client/forgot-password-token-code/{token}','ClientPortal@forgotPasswordTokenCode');

get('client/request-premium-user','ClientPortal@premiumUserRequest');
get('client/premium-user-send-request/{email}','ClientPortal@premiumUserRequestSend');
get('active-premium-user/{id}','ClientPortal@activePremiumUser');


/*Invoice Management In Client Portal*/

get('client/all-invoices', 'ClientInvoiceController@all');
get('client/all-recurring-invoices', 'ClientInvoiceController@recurring');
get('client/view-invoice/{id}', 'ClientInvoiceController@clientView');
get('client/iprint/{id}', 'ClientInvoiceController@printView');
post('client/pay-invoice','ClientInvoiceController@payInvoice');

get('client/invoice/ipay_submitted/{id}','ClientInvoiceController@ipaySubmitted');
get('client/invoice/ipay_cancel/{id}','ClientInvoiceController@ipayCancel');
get('client/invoice/ipay_ipn/{id}','ClientInvoiceController@ipayIpn');

/*Support Ticket System In Client Portal*/

get('client/support-tickets/all','ClientSupportTicketController@all');
get('client/support-tickets/pending','ClientSupportTicketController@pending');
get('client/support-tickets/answered','ClientSupportTicketController@answered');
get('client/support-tickets/customer-reply','ClientSupportTicketController@customerReply');
get('client/support-tickets/closed','ClientSupportTicketController@closed');
get('client/support-tickets/create-new','ClientSupportTicketController@createNew');
get('client/support-tickets/view-ticket/{id}','ClientSupportTicketController@viewTicket');


post('client/support-tickets/post-ticket','ClientSupportTicketController@postTicket');
post('client/support-tickets/replay-ticket','ClientSupportTicketController@replayTicket');



/*File Sharing*/

/*Guest Sharing*/

post('client/file-sharing/guest','FileSharingController@dropguestSharing');
post('client/file-sharing/guest-post','FileSharingController@guestPostSharing');

get('client/file-sharing/guest-download/{id}','FileSharingController@guestDownload');
get('client/file-sharing/guest-download-file/{id}/{name}','FileSharingController@guestDownloadFile');
get('client/file-sharing/user-download-file/{id}/{name}','FileSharingController@userDownloadFile');
get('client/file-sharing/guest-download-image-file/{id}/{name}','FileSharingController@guestDownloadImageFile');
get('client/file-sharing/user-download-image-file/{id}/{name}','FileSharingController@userDownloadImageFile');
post('client/guest-batch-download','FileSharingController@guestBatchDownload');
post('client/user-batch-download','FileSharingController@userBatchDownload');
get('client/remove-upload-file/{id}','FileSharingController@removeUploadFile');


/*User Sharing*/
get('client/file-sharing/send-file','FileSharingController@userSharing');
post('client/file-sharing/pro-user','FileSharingController@userSharingPost');
post('client/file-sharing/user-post','FileSharingController@userFilePost');
get('client/file-sharing/password-protected/{id}','FileSharingController@passwordProtected');
post('client/file-sharing/download-password-file','FileSharingController@downloadPasswordProtectedFile');
get('client/file-sharing/user-download/{id}','FileSharingController@userDownload');
get('client/file-sharing/user-download-file/{id}','FileSharingController@userDownloadFile');
get('client/file-sharing/share-file/{id}','FileSharingController@userShareFile');
post('client/file-sharing/share-fle-post','FileSharingController@userShareFilePost');

/*Client Uploads*/

get('client/uploads','FileSharingController@allClientUploads');
get('client/uploads/delete-file/{id}','FileSharingController@deleteFile');
get('client/uploads/destroy-file/{id}','FileSharingController@destroyFile');


/*Client Downloads*/
//get('client/downloads','FileSharingController@allClientDownloads');



