@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="widget-1 col-md-6 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="POST" action="{{ url('admin/update-system-setting') }}" enctype="multipart/form-data">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">

                            <div class="form-group">
                                <label for="AppName">Application Name</label>
                                <input type="text" class="form-control" id="app_name" name="app_name"  value="{{app_config('AppName')}}">
                            </div>

                            <div class="form-group">
                                <label for="AppTitle">Application Title</label>
                                <input type="text" class="form-control" id="app_title" name="app_title"  value="{{app_config('AppTitle')}}">
                            </div>

                            <div class="form-group">
                                <label for="email">System Email</label>
                                <input type="email" class="form-control" id="email" name="email"  value="{{app_config('Email')}}">
                            </div>

                            <div class="form-group">
                                <label for="FooterTxt">Footer Text</label>
                                <input type="text" class="form-control" id="footer" name="footer"  value="{{app_config('FooterTxt')}}">
                            </div>

                            <div class="form-group">
                                <label for="MaxUpload">Max Upload File Size (Normal User) (M)</label>
                                <input type="number" class="form-control" id="maxupload" name="maxupload"  value="{{app_config('MaxUpload')}}">
                            </div>

                            <div class="form-group">
                                <label for="MaxUpload">Max Upload File Size (Premium User) (M)</label>
                                <input type="number" class="form-control" id="promaxupload" name="promaxupload"  value="{{app_config('ProMaxUpload')}}">
                            </div>

                            <div class="form-group">
                                <label for="ExpireTime">Expire Time (Hours)</label>
                                <input type="text" class="form-control" id="expiretime" name="expiretime"  value="{{app_config('ExpireTime')}}">
                            </div>


                            <div class="form-group">
                                <label for="app_logo">Application Logo</label>
                                <div class="input-group">
                                <span class="input-group-btn">
                                    <span class="btn btn-default btn-file">
                                        Browse <input type="file" class="form-control" id="app_logo" name="app_logo" >
                                    </span>
                                </span>
                                    <input type="text" class="form-control" readonly value="{{app_config('AppLogo')}}">
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="app_logo">Application Favicon</label>
                                <div class="input-group">
                                <span class="input-group-btn">
                                    <span class="btn btn-default btn-file">
                                        Browse <input type="file" class="form-control" id="app_fav" name="app_fav" >
                                    </span>
                                </span>
                                    <input type="text" class="form-control" readonly value="{{app_config('AppFav')}}">
                                </div>
                            </div>


                            <div class="form-group">
                                <label for="gateway">Default Email Gateway</label>
                                <select name="eg" class="select2">
                                    <option value="sendmail" @if(app_config('DefaultGateway')=='sendmail') selected  @endif>Sever Mail Gateway</option>
                                    @foreach($eg as $d)
                                        <option value="{{$d->name}}"  @if(app_config('DefaultGateway')==$d->name) selected  @endif>{{$d->name}}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="gateway">Choose Storage Server</label>
                                <select name="storage_server" class="select2" id="show">
                                    <option value="local" @if(app_config('StorageServer')=='local') selected  @endif>Local Server</option>
                                    <option value="aws" @if(app_config('StorageServer')=='aws') selected  @endif>Amazon AWS S3</option>
                                </select>
                            </div>



                            <div id="showAWS" style="@if($storage_server=='local') display:none; @endif">

                                <div class="form-group">
                                    <label for="access-key">Enter S3 Key</label>
                                    <input type="text" class="form-control" name="access_key"  value="{{app_config('AWSAccessKey')}}">
                                </div>

                                <div class="form-group">
                                    <label for="secret">Enter S3 Secret</label>
                                    <input type="text" class="form-control" name="secret"  value="{{app_config('AWSSecret')}}">
                                </div>

                                <div class="form-group">
                                    <label for="region">Enter Your S3 Region</label>
                                    <input type="text" class="form-control"  name="region"  value="{{app_config('AWSRegion')}}">
                                </div>

                                <div class="form-group">
                                    <label for="bucket">Enter S3 Bucket Name</label>
                                    <input type="text" class="form-control"  name="bucket"  value="{{app_config('AWSBucket')}}">
                                </div>

                            </div>


                            <div class="space-15 sec"></div>

                            <button type="submit" name="update" class="btn btn-info">Update</button>
                        </form>
                    </div>
                </div>
            </div>
            <!-- Widget-1 end-->

            <!-- Widget-2 end-->
        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    <script>

        $('.select2').select2();

        $(document).on('change', '.btn-file :file', function () {
            var input = $(this),
                    numFiles = input.get(0).files ? input.get(0).files.length : 1,
                    label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });

        $(document).ready(function () {
            $('.btn-file :file').on('fileselect', function (event, numFiles, label) {

                var input = $(this).parents('.input-group').find(':text'),
                        log = numFiles > 1 ? numFiles + ' files selected' : label;
                if (input.length) {
                    input.val(log);
                } else {
                    if (log) alert(log);
                }

            });
        });


        $("#show").on('change', function(e){

            if($(this).val() == 'local'){
                $('#showAWS').hide();
            } else {
                $('#showAWS').show();
            }
        })



    </script>
@endsection