@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="col-lg-12">
                <div class="panel">
                    <div class="panel-body">
                        <form id="invform" method="post">
                            <div class="p-xl">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-horizontal">
                                            <div class="form-group">
                                                <label for="cid" class="col-sm-3 control-label">Choose Client</label>
                                                <div class="col-sm-9">
                                                    <select id="cid" name="cid">
                                                        <option value="">Select Contact...</option>
                                                        @foreach($cl as $cs)
                                                        <option value="{{$cs->id}}">{{$cs->fname}} {{$cs->lname}}</option>
                                                        @endforeach

                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="inputPassword3" class="col-sm-3 control-label">Address</label>
                                                <div class="col-sm-9">
                                                    <textarea id="address" readonly class="form-control" rows="3"></textarea>
                                                </div>
                                            </div>


                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-horizontal">
                                            <div class="form-group">
                                                <label for="inputEmail3" class="col-sm-4 control-label">Invoice Date</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control idate" name="idate" datepicker data-date-format="yyyy-mm-dd" data-auto-close="true" value="<?php echo date('Y-m-d'); ?>">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="inputEmail3" class="col-sm-4 control-label">Repeat Every</label>
                                                <div class="col-sm-8">
                                                    <select class="select2" name="repeat" id="repeat">
                                                        <option value="7">Week</option>
                                                        <option value="14">2 Weeks</option>
                                                        <option value="30" selected>Month</option>
                                                        <option value="60">2 Months</option>
                                                        <option value="90">3 Months</option>
                                                        <option value="180">6 Months</option>
                                                        <option value="365">Year</option>
                                                        <option value="730">2 Years</option>
                                                        <option value="1095">3 Years</option>
                                                    </select>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>


                                <div class="table-responsive m-t">
                                    <table class="table invoice-table" id="invoice_items">
                                        <thead>
                                        <tr>
                                            <th width="5%"></th>
                                            <th width="44%">Item Name</th>
                                            <th width="9%">Qty</th>
                                            <th width="9%">Price</th>
                                            <th width="9%">Tax</th>
                                            <th width="9%">Discount</th>
                                            <th width="15%">Per Item Total</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>

                                </div><!-- /table-responsive -->
                                <button type="button" class="btn btn-primary" id="blank-add"><i class="fa fa-plus"></i> Add Item</button>
                                <button type="button" class="btn btn-danger" id="item-remove"><i class="fa fa-minus-circle"></i> Delete</button>
                                <table class="table invoice-total">
                                    <tbody>
                                    <tr>
                                        <td><strong>Total :</strong></td>
                                        <td id="sub_total">0.00</td>
                                    </tr>
                                    </tbody>
                                </table>
                                <textarea class="form-control" name="notes" id="notes" rows="3" placeholder="Invoice Terms..."></textarea>
                                <br>

                                <div class="text-right">
                                    <button class="btn btn-primary" id="submit"><i class="fa fa-save"></i> Save Invoice</button>
                                </div>


                            </div>
                        </form>


                    </div>
                </div>
            </div>

        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/lib/dp/dist/datepicker.min.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    {!! Html::script("assets/lib/dp/dist/datepicker.min.js") !!}
    {!! Html::script("assets/lib/invoice.js") !!}

    <script type="text/javascript">
        $('.select2').select2();
    </script>

@endsection