@extends('master')

@section('content')

    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="clearfix page-top-section">
            <div class="col-md-12">
                <form class="form-horizontal" method="post" action="{{url('admin/search-client')}}">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                    <div class="form-group clearfix">
                        <div class="left-side">
                            <div class="input-group">
                                <input type="text" name="name" class="form-control" placeholder="Search by First Name / Last Name"/>
                                <div class="input-group-btn">
                                    <button class="btn btn-brand">Search</button>
                                </div>
                            </div>
                        </div>
                        <div class="right-side">
                            <a href="{{url('admin/add-new-client')}}" class="btn btn-info"><i class="fa fa-plus"></i> Add New Client</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <div class="row all-clients">

            @foreach ($result as $ds)
            <div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 animated fadeIn">
                <!-- CONTACT ITEM -->
                <div class="panel clearfix">
                    <div class="panel-body profile">
                        <div class="profile-image">
                            @if($ds->img=='')
                                <img src="<?php echo asset("assets/system/profile-icon.png"); ?>" class="img-thumbnail img-responsive">
                            @else
                                <img src="<?php echo asset("$ds->img"); ?>" class="img-thumbnail img-responsive">
                            @endif
                        </div>
                        <div class="profile-data">
                            <div class="profile-data-name">{{$ds->fname}} {{$ds->lname}}</div>
                        </div>

                    </div>
                    <div class="panel-body profile-info">
                        <div class="contact-info">
                            <p class="client-mail"><small>Email</small><br/>{{$ds->email}}</p>
                            <p>
                                <a href="{{url('admin/view-client/'.$ds->id)}}" class="btn btn-brand btn-xs"><i class="fa fa-search"></i> View</a>
                                <a href="{{url('admin/delete-client/'.$ds->id)}}" class="btn btn-danger btn-xs cdelete" id="{{$ds->id}}"><i class="fa fa-trash"></i> Delete</a>
                            </p>
                        </div>
                    </div>
                </div>
                <!-- END CONTACT ITEM -->
            </div>
            @endforeach


        </div>
        <div class="row">
            <div class="col-md-12">
            <?php echo str_replace('/?', '?',$result->render()); ?>
            </div>
        </div>

        <input type="hidden" id="_url" value="{{url()}}">
        <!-- Row end-->
        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>


@endsection

@section('style')
    {!! Html::style("assets/css/modal.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/modal.js") !!}

    <script>
    $(".cdelete").click(function (e) {
        e.preventDefault();
        var id = this.id;
        bootbox.confirm("Are you sure?", function(result) {
            if(result){
                var _url = $("#_url").val();
                window.location.href = _url + "/admin/delete-client/" + id;
            }
        });
    });
</script>
@endsection