@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')
        
        <div class="row">
            <div class="widget-1 col-md-12 col-sm-12 animated fadeIn">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">All Recurring Invoices</h3>
                    </div>

                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Client Name</th>
                                        <th>Amount</th>
                                        <th>Invoice Date</th>
                                        <th>Due Date</th>
                                        <th>Next Invoice</th>
                                        <th>Status</th>
                                        <th>Type</th>
                                        <th class="text-right">Manage</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    @foreach($inv as $in)
                                    <tr>
                                        <td><a href="{{url('admin/view-invoice/'.$in->id)}}">{{$in->id}}</a> </td>
                                        <td><a href="{{url('admin/view-client/'.$in->cid)}}">{{$in->cname}}</a> </td>
                                        <td>{{$in->total}}</td>
                                        <td>{{$in->created}}</td>
                                        <td>{{$in->duedate}}</td>
                                        <td>{{$in->datepaid}}</td>
                                        <td>
                                            @if($in->status=='Unpaid')
                                            <span class="label label-danger">Unpaid</span>
                                            @elseif($in->status=='Paid')
                                            <span class="label label-success">Paid</span>
                                            @elseif($in->status=='Cancelled')
                                            <span class="label label-warning">Cancelled</span>
                                            @else
                                            <span class="label label-info">Partially Paid</span>
                                            @endif

                                        </td>
                                        <td>
                                            @if($in->recurring=='0')
                                            <span class="label label-success"> Onetime</span>
                                            @else
                                            <span class="label label-success"> Recurring</span>
                                            @endif
                                        </td>
                                        <td class="text-right">
                                            <a href="{{url('admin/view-invoice/'.$in->id)}}" class="btn btn-primary btn-xs"><i class="fa fa-check"></i> View</a>
                                            <a href="{{url('admin/invoice-edit/'.$in->id)}}" class="btn btn-info btn-xs"><i class="fa fa-pencil"></i> Edit</a>
                                            <a href="#" class="btn btn-warning btn-xs cstop" id="{{$in->id}}"><i class="fa fa-stop"></i> Stop Recurring</a>
                                            <a href="#" class="btn btn-danger btn-xs cdelete" id="{{$in->id}}"><i class="fa fa-trash"></i> Delete</a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                         <?php echo str_replace('/?', '?',$inv->render()); ?>
                    </div>
                </div>
            </div>
        </div>

        <input type="hidden" id="_url" value="{{url()}}">
        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection



@section('style')
    {!! Html::style("assets/css/modal.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/modal.js") !!}

    <script>
        $(".cdelete").click(function (e) {
            e.preventDefault();
            var id = this.id;
            bootbox.confirm("Are you sure?", function(result) {
                if(result){
                    var _url = $("#_url").val();
                    window.location.href = _url + "/admin/delete-invoice/" + id;
                }
            });
        });

        $(".cstop").click(function (e) {
            e.preventDefault();
            var id = this.id;
            bootbox.confirm("Are you want to Stop Recurring Invoice?", function(result) {
                if(result){
                    var _url = $("#_url").val();
                    window.location.href = _url + "/admin/stop-recurring-invoice/" + id;
                }
            });
        });
    </script>
@endsection