@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="widget-1 col-lg-6 col-md-8 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="POST" action="{{ url('admin/post-client') }}">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">

                            <div class="form-group">
                                <label for="fname">First Name</label>
                                <input type="text" class="form-control" id="fname" name="fname">
                            </div>

                            <div class="form-group">
                                <label for="lname">Last Name</label>
                                <input type="text" class="form-control" id="lname" name="lname">
                            </div>

                            <div class="form-group">
                                <label for="email">Email</label>
                                <input type="email" class="form-control" id="email" name="email">
                            </div>

                            <div class="form-group">
                                <label for="password">Password</label>
                                <input type="password" class="form-control" id="password" name="password">
                            </div>

                            <div class="form-group">
                                <label for="phone">Phone Number</label>
                                <input type="text" class="form-control" id="phone" name="phone">
                            </div>

                            <div class="form-group">
                                <label for="address">Address</label>
                                <input type="text" class="form-control" id="address" name="address">
                            </div>

                            <div class="form-group">
                                <label for="state">State/Region</label>
                                <input type="text" class="form-control" id="state" name="state">
                            </div>

                            <div class="form-group">
                                <label for="City">City</label>
                                <input type="text" class="form-control" id="city" name="city">
                            </div>

                            <div class="form-group">
                                <label for="Country">Country</label>
                                <select name="country" class="select2">
                                   {!!countries(app_config('Country'))!!}
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="utype">User Type</label>
                                <select name="utype" class="select2">
                                    <option value="premium">Premium User</option>
                                    <option value="normal">Normal User</option>
                                </select>
                            </div>

                            <div class="space-15 sec"></div>

                            <button type="submit" name="add" class="btn btn-info">Add New Client</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}

    <script type="text/javascript">
        $('.select2').select2();
    </script>

@endsection