<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Invoice - {{$inv->id}}</title>
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="theme-color" content="#ffffff">

    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/custom.css") !!}

    <style type="text/css">
        body {

            background-color: #FAFAFA;
            overflow-x: visible;
        }
        .paper {
            margin: 50px auto;
            width: 980px;
            border: 2px solid #DDD;
            background-color: #FFF;
            position: relative;
            width: 980px;
        }
    </style>
</head>

<body class="fixed-nav">

    <div class="container">
        <div class="panel p-xl">
            <div class="panel-body">
                <div class="invoice">
                    <div class="bill-info">
                        <div class="row">
                            <div class="col-md-6">

                                <div class="ib invoice-conpany-logo">
                                    <img src="<?php echo asset(app_config('AppLogo')); ?>" alt="Logo">
                                </div>

                                <address class="ib mr-xlg">
                                    {!!app_config('Address')!!}
                                </address>


                                <div class="bill-to">
                                    <p class="h5 mb-xs text-dark text-semibold">Invoiced To:</p>
                                    <h3 class="invoice-to-client-name">{{$inv->cname}}</h3>
                                    <address>
                                        {{$cl->address}} <br>
                                        {{$cl->city}}, {{$cl->state}}, {{$cl->country}}
                                        <br><br>
                                        Phone: {{$cl->phone}}
                                        <br>
                                        Email: {{$cl->email}}
                                    </address>
                                </div>

                            </div>
                            <div class="col-md-6">
                                <div class="action-bar clearfix">
                                    <div class="btn-group  pull-right" role="group" aria-label="...">
                                        <a href="{{url('admin/iprint/'.$inv->id)}}" target="_blank"><i class="fa fa-print"></i> Printable version</a>
                                    </div>
                                </div>
                                <div class="bill-data text-right">
                                    <p>
                                        <span class="bill-data-title">Invoice No:</span>
                                        <span class="bill-data-value">#{{$inv->id}}</span>
                                    </p>
                                    <p>
                                        <span class="bill-data-title">Invoice Status:</span>

                                        @if($inv->status=='Unpaid')
                                        <span class="bill-data-value"><span class="bill-data-status label-warning">Unpaid</span></span>

                                        @elseif($inv->status=='Paid')
                                        <span class="bill-data-value"><span class="bill-data-status label-success">Paid</span></span>

                                        @elseif($inv->status=='Partially Paid')
                                        <span class="bill-data-value"><span class="bill-data-status label-info">Partially Paid</span></span>

                                        @else
                                        <span class="bill-data-value"><span class="bill-data-status label-danger">Cancelled</span></span>
                                        @endif
                                    </p>

                                    <p>
                                        <span class="bill-data-title">Invoice Date:</span>
                                        <span class="bill-data-value">{{$inv->created}}</span>
                                    </p>
                                    <p>
                                        <span class="bill-data-title">Due Date:</span>
                                        <span class="bill-data-value">{{$inv->duedate}}</span>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive">
                        <table class="table invoice-items invoice-view">
                            <thead>
                            <tr class="h5 text-dark">
                                <th id="cell-id" class="text-semibold" style="width: 5%;">#</th>
                                <th id="cell-item" class="text-semibold" style="width: 65%;">Item</th>
                                <th id="cell-price" class="text-center text-semibold" style="width: 10%;">Price</th>
                                <th id="cell-qty" class="text-center text-semibold" style="width: 10%;">Quantity</th>
                                <th id="cell-total" class="text-semibold" style="width: 10%;">Total</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $i='1'; ?>
                            @foreach($inv_item as $it)
                            <tr>
                                <td style="width: 5%;"><?php echo $i++; ?></td>
                                <td class="text-semibold text-dark" style="width: 65%;">{{$it->item}}</td>
                                <td class="text-center" style="width: 10%;">{!!app_config('CurrencyCode')!!}{{$it->price}}</td>
                                <td class="text-center" style="width: 10%;">{{$it->qty}}</td>
                                <td style="width: 10%;">{!!app_config('CurrencyCode')!!}{{$it->subtotal}}</td>
                            </tr>
                            @endforeach

                            </tbody>
                        </table>
                    </div>

                    <div class="invoice-summary">
                        <div class="row">
                            <div class="col-lg-2">
                                <div class="inv-block">
                                    <h3 class="count-title">Subtotal</h3>
                                    <p>{!!app_config('CurrencyCode')!!}{{$inv->subtotal}}</p>
                                </div>
                            </div>
                            <div class="col-lg-2">
                                <div class="inv-block">
                                    <h3 class="count-title">TAX</h3>
                                    <p>{!!app_config('CurrencyCode')!!}{{$tax_sum}}</p>
                                </div>
                            </div>
                            <div class="col-lg-2">
                                <div class="inv-block">
                                    <h3 class="count-title">Discount</h3>
                                    <p>{!!app_config('CurrencyCode')!!}{{$dis_sum}}</p>
                                </div>
                            </div>
                            <div class="col-lg-4 col-lg-offset-2 text-right">
                                <div class="inv-block last">
                                    <h3 class="count-title">Grand Total</h3>
                                    <p>{!!app_config('CurrencyCode')!!}{{$inv->total}}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                @if($inv->note!='')
                <div class="well m-t"><b>Notes: </b>{{$inv->note}}</div>
                @endif
            </div>
        </div>
    </div>


{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}
{!! Html::script("assets/js/jquery.metisMenu.js") !!}
{!! Html::script("assets/js/jquery.slimscroll.min.js") !!}
{!! Html::script("assets/js/app.js") !!}
{!! Html::script("assets/js/pace.min.js") !!}
{!! Html::script("assets/lib/progress.js") !!}
{!! Html::script("assets/lib/bootbox.min.js") !!}
</body>

</html>
