@extends('master')

@section('content')

    <div class="wrapper wrapper-content">
        <div class="alerts-div">
            <div class="alert alert-success">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                Your Clients Cann't  Upload More Than {{$post_size}}. Because You System Support Maximum Post File Size {{$post_size}}
            </div>
            @if(!is_writable(storage_path()))
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                    Please Provide Write Permission On (Root Folder/storage/app) 777 (or 755 with owner as webserver user)
                </div>

            @endif

            @if(app_config('AppStage')=='Demo')
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                    All Email Sending Options are disable in Demo Mode.
                </div>
            @endif

        </div>
        <div class="row">
            <div class="col-lg-2 col-md-12 col-sm-12">
                <div class="row summ-box">
                    
                    <div class="col-lg-12 col-md-4 col-sm-4">
                        <div class="widget style1 l">
                            <div class="row">
                                <div class="col-xs-5 lazur-bg sum-icon-wrap">
                                    <i class="fa fa-users"></i>
                                </div>
                                <div class="col-xs-7 text-right sum-info">
                                    <div class="info-f"><span class="font-bold">{{$cl_count}}</span> <span>Accounts</span></div>
                                    <a href="{{url('admin/add-new-client')}}" class="btn btn-brand btn-xs">Add Account</a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 col-md-4 col-sm-4">
                        <div class="widget style1">
                            <div class="row">
                                <div class="col-xs-5 red-bg sum-icon-wrap">
                                    <i class="fa fa-shopping-cart"></i>
                                </div>
                                <div class="col-xs-7 text-right sum-info">
                                    <div class="info-f"><span class="font-bold">{{$inv_count}}</span> <span>Invoices</span></div>
                                    <a href="{{url('admin/add-new-invoice')}}" class="btn btn-brand btn-xs">Add Invoice</a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 col-md-4 col-sm-4">
                        <div class="widget style1 l">
                            <div class="row">
                                <div class="col-xs-5 lazur-bg sum-icon-wrap">
                                    <i class="fa fa-envelope-o"></i>
                                </div>
                                <div class="col-xs-7 text-right sum-info">
                                    <div class="info-f"><span class="font-bold">{{$st_count}}</span> <span>Tickets</span></div>
                                    <a href="{{url('admin/support-tickets/create-new')}}" class="btn btn-brand btn-xs">Add
                                        Ticket</a>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

            <div class="col-lg-4 col-md-12">
                <div class="row">
                    <div class="widget-1 col-lg-12">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h3 class="panel-title">Recent Signups </h3>
                            </div>
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                        <th>Date</th>
                                        <th>Name</th>
                                        <th>Country</th>
                                        </thead>
                                        <tbody>
                                        @foreach($cl as $c)
                                            <tr>
                                                <td>{{$c->created_at}}</td>
                                                <td><a href="{{url('admin/view-client/'.$c->id)}}"> {{$c->fname}} {{$c->lname}}</a></td>
                                                <td>{{$c->country}}</td>
                                            </tr>
                                        @endforeach

                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="widget-2 col-lg-12">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h3 class="panel-title">Recent Upload</h3>

                                <div class="ibox-tools">
                                    <a href="{{url('admin/uploads')}}" class="btn btn-info btn-xs"><i class="fa fa-eye"></i> View All</a>
                                </div>

                            </div>
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                        <th>ID</th>
                                        <th>Time</th>
                                        <th>Size</th>
                                        <th class="text-right">Password</th>
                                        </thead>
                                        <tbody>
                                        @foreach($uploads as $u)
                                            <tr>
                                                <td>{{$u->fileid}}</td>
                                                <td>{{$u->upload_date}}</td>
                                                <td>
                                                    @if($u->size>1)
                                                        {{$u->size}} MB
                                                    @else
                                                        Near 1 MB
                                                    @endif</td>
                                                <td class="text-right">{{$u->password}}</td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Widget-5 end-->

                </div>
            </div>

            <div class="col-lg-6 col-md-12">
                
                <div class="row">
                    <div class="widget-3 col-lg-12">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h3 class="panel-title">Last 5 Tickets</h3>
                            </div>
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                        <th>Client</th>
                                        <th>Subject</th>
                                        <th>Date</th>
                                        <th class="text-right">Status</th>
                                        </thead>
                                        <tbody>
                                        @foreach($st as $t)
                                            <tr>
                                                <td><a href="{{url('admin/view-client/'.$t->userid)}}">{{$t->name}}</a></td>
                                                <td><a href="{{url('admin/support-tickets/view-ticket/'.$t->id)}}">{{$t->subject}}</a></td>
                                                <td>{{$t->date}}</td>
                                                <td class="text-right">
                                                    @if($t->status=='Pending')
                                                        <span class="label label-danger">Pending</span>
                                                    @elseif($t->status=='Answered')
                                                        <span class="label label-success">Answered</span>
                                                    @elseif($t->status=='Customer Reply')
                                                        <span class="label label-info">Customer Reply</span>
                                                    @else
                                                        <span class="label label-primary">Closed</span>
                                                    @endif
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Widget-4 end-->
                    <div class="widget-4 col-lg-12">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h3 class="panel-title">Recent Invoices</h3>
                            </div>
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                        <th>Date</th>
                                        <th>Client Name</th>
                                        <th>Amount</th>
                                        <th class="text-right">Status</th>
                                        </thead>
                                        <tbody>
                                        @foreach($inv as $in)
                                         <tr>
                                             <td>{{$in->created}}</td>
                                             <td><a href="{{url('admin/view-client/'.$in->cid)}}">{{$in->cname}}</a></td>
                                             <td><a href="{{url('admin/view-invoice/'.$in->id)}}">{{$in->total}}</a> </td>
                                             <td class="text-right">
                                                 @if($in->status=='Unpaid')
                                                     <span class="label label-danger">Unpaid</span>
                                                 @elseif($in->status=='Paid')
                                                     <span class="label label-success">Paid</span>
                                                 @elseif($in->status=='Cancelled')
                                                     <span class="label label-warning">Cancelled</span>
                                                 @else
                                                     <span class="label label-info">Partially Paid</span>
                                                 @endif
                                             </td>
                                         </tr>
                                         @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Widget-3 end-->
                </div>

            </div>
        </div>




        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>


@endsection