@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="widget-1 col-md-6 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="POST" action="{{ url('admin/post-edit-profile') }}" enctype="multipart/form-data">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">

                            <div class="form-group">
                                <label for="fname">Full Name</label>
                                <input type="text" class="form-control" id="full_name" name="full_name" value="{{$user->name}}">
                            </div>

                            <div class="form-group">
                                <label for="email">Email</label>
                                <input type="email" class="form-control" id="email" name="email"  value="{{$user->email}}">
                            </div>

                            <div class="form-group">
                                <label for="password">Password</label>
                                <input type="password" class="form-control" id="password" name="password">
                            </div>

                            <div class="form-group">

                                <label>Upload Image</label>

                                    <div class="input-group">
                                                    <span class="input-group-btn">
                                                        <span class="btn btn-brand btn-file">
                                                            Browse <input type="file" class="form-control" id="profile_image" name="profile_image" >
                                                        </span>
                                                    </span>
                                        <input type="text" class="form-control" readonly >
                                    </div>


                            </div>

                            <div class="space-15"></div>

                            <button type="submit" name="add" class="btn btn-info">Update Profile</button>
                        </form>
                    </div>
                </div>
            </div>
            <!-- Widget-1 end-->

            <!-- Widget-2 end-->
        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/css/fileinput.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    {!! Html::script("assets/lib/fileinput.js") !!}


    <script type="text/javascript">
        $('.select2').select2();
        $("#file-0").fileinput({
            'allowedFileExtensions' : ['jpg', 'png','gif'],
        });


        $(document).on('change', '.btn-file :file', function () {
            var input = $(this),
                    numFiles = input.get(0).files ? input.get(0).files.length : 1,
                    label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });

        $(document).ready(function () {
            $('.btn-file :file').on('fileselect', function (event, numFiles, label) {

                var input = $(this).parents('.input-group').find(':text'),
                        log = numFiles > 1 ? numFiles + ' files selected' : label;
                if (input.length) {
                    input.val(log);
                } else {
                    if (log) alert(log);
                }

            });
        });

    </script>


@endsection