@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="widget-1 col-md-6 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="POST" action="{{ url('admin/email-gateway-update') }}">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">

                            <div class="form-group">
                                <label for="gname">Gateway Name</label>
                                <input type="text" class="form-control" value="{{$result->name}}" name="gateway" readonly>
                            </div>

                            <div class="form-group">
                                <label for="host_name">SMTP Host Name</label>
                                <input type="text" class="form-control" id="host_name" name="host_name" value="{{$result->host_name}}">
                            </div>

                            <div class="form-group">
                                <label for="username">SMTP User Name</label>
                                <input type="text" class="form-control" id="username" name="username" value="{{$result->username}}">
                            </div>

                            <div class="form-group">
                                <label for="password">SMTP Password</label>
                                <input type="text" class="form-control" id="password" name="password"  value="{{$result->password}}">
                            </div>

                            <div class="form-group">
                                <label for="port">SMTP Port</label>
                                <input type="text" class="form-control" id="port" name="port" value="{{$result->port}}">
                            </div>

                            <div class="form-group">
                                <label for="secure">SMTP Secure</label>
                                <select name="secure" class="select2">
                                    <option value="tls" @if($result->secure=='tls') selected @endif>TLS</option>
                                    <option value="ssl" @if($result->secure=='ssl') selected @endif>SSL</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="status">Status</label>
                                <select name="status" class="select2">
                                    <option value="1" @if($result->status=='1') selected @endif>Active</option>
                                    <option value="0" @if($result->status=='0') selected @endif>Inactive</option>
                                </select>
                            </div>


                            <div class="hr-line-dashed"></div>

                            <button type="submit" name="update" class="btn btn-info">Update</button>

                            </form>
                    </div>
                </div>
            </div> <!-- Widget-1 end-->

            <!-- Widget-2 end-->
        </div>



        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}

    <script>
            $('.select2').select2();
    </script>

@endsection