@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="widget-1 col-md-12 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="POST" action="{{ url('admin/email-templates-update') }}">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">


                            <div class="form-group">
                                <label for="tplname">Template Name</label>
                                <input type="text" class="form-control" id="name" name="name" disabled value="{{$d->tplname}}">
                            </div>

                            <div class="form-group">
                                <label for="subject">Subject</label>
                                <input type="text" class="form-control" id="subject" name="subject" value="{{$d->subject}}">
                            </div>

                            <div class="form-group">
                                <label for="Status">Status</label>
                                <select name="status" class="select2">
                                        <option value="1" @if($d->status=='1') selected @endif>Active</option>
                                        <option value="0" @if($d->status=='0') selected @endif>Inactive</option>
                                </select>
                            </div>


                            <div class="form-group">
                                <label for="message">Message</label>
                                <textarea class="form-control" id="content" name="message">{!!$d->message!!}</textarea>
                            </div>


                            <div class="hr-line-dashed"></div>
                            <input type="hidden" value="{{$d->id}}" name="cmd">
                            <button type="submit" name="update" class="btn btn-info"><i class="fa fa-edit"></i> Update</button>
                        </form>
                    </div>
                </div>
            </div>
            <!-- Widget-1 end-->

            <!-- Widget-2 end-->
        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/lib/redactor/redactor.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    {!! Html::script("assets/lib/redactor/redactor.js") !!}

    <script type="text/javascript">
        $('.select2').select2();
        $('#content').redactor();
    </script>

@endsection