@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="col-lg-12">
                <div class="panel">
                    <div class="panel-body">
                        <form method="post" action="{{url('admin/update-invoice/'.$inv->id)}}">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <div class="p-xl">
                                <div class="row">
                                    <div class="col-lg-5">

                                        <div class="form-horizontal bottom-sec">
                                            <div class="form-group">
                                                <label for="inputEmail3" class="col-sm-2 control-label">Invoice Date</label>

                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control idate" name="idate" datepicker data-date-format="yyyy-mm-dd" data-auto-close="true" value="{{$inv->created}}">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="inputEmail3" class="col-sm-2 control-label">Due Date</label>

                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control idate" name="ddate" datepicker data-date-format="yyyy-mm-dd" data-auto-close="true" value="{{$inv->duedate}}">
                                                </div>
                                            </div>

                                            @if($inv->recurring=='0')

                                                <div class="form-group">
                                                    <label for="inputEmail3" class="col-sm-2 control-label">Paid
                                                        Date</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control idate" name="pdate" datepicker data-date-format="yyyy-mm-dd" data-auto-close="true" value="{{$inv->datepaid}}">
                                                    </div>
                                                </div>
                                            @else
                                                <input type="hidden" name="pdate" id="pdate" value="0">
                                            @endif


                                            @if($inv->recurring!='0')

                                                <div class="form-group">
                                                    <label for="inputEmail3" class="col-sm-4 control-label">Repeat
                                                        Every</label>

                                                    <div class="col-sm-8">
                                                        <select class="select2" name="repeat" id="repeat">
                                                            <option value="week1" @if($inv->recurring=='+1 week')
                                                                    selected @endif>Week
                                                            </option>
                                                            <option value="weeks2" @if($inv->recurring=='+2 weeks')
                                                                    selected @endif>2 Weeks
                                                            </option>
                                                            <option value="month1" @if($inv->recurring=='+1 month')
                                                                    selected @endif>Month
                                                            </option>
                                                            <option value="months2" @if($inv->recurring=='+2 months')
                                                                    selected @endif>2 Months
                                                            </option>
                                                            <option value="months3" @if($inv->recurring=='+3 months')
                                                                    selected @endif>3 Months
                                                            </option>
                                                            <option value="months6" @if($inv->recurring=='+6 months')
                                                                    selected @endif>6 Months
                                                            </option>
                                                            <option value="year1" @if($inv->recurring=='+1 year')
                                                                    selected @endif>Year
                                                            </option>
                                                            <option value="years2" @if($inv->recurring=='+2 years')
                                                                    selected @endif>2 Years
                                                            </option>
                                                            <option value="years3" @if($inv->recurring=='+3 years')
                                                                    selected @endif>3 Years
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>

                                            @else
                                                <input type="hidden" name="repeat" id="repeat" value="0">
                                            @endif

                                        </div>


                                        <div class="form-horizontal">

                                            <div class="form-group">
                                                <label for="cid" class="col-sm-2 control-label">Choose Client</label>

                                                <div class="col-sm-10">
                                                    <select id="cid" disabled class="select2">
                                                        <option value="{{$cl->id}}">{{$cl->fname}} {{$cl->lname}}</option>
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="inputPassword3" class="col-sm-2 control-label">Address</label>

                                                <div class="col-sm-10">
                                                    <textarea id="address" readonly class="form-control" rows="6">{{$address}}</textarea>
                                                </div>
                                            </div>

                                        </div>

                                    </div>

                                    <div class="col-lg-7">

                                        <div class="table-responsive">
                                            <table class="table invoice-table table-bordered" id="invoice_items">
                                                <thead>
                                                    <tr>
                                                        <th width="40%">Item Name</th>
                                                        <th width="15%">Price</th>
                                                        <th width="10%">Qty</th>
                                                        <th width="10%">Tax</th>
                                                        <th width="10%">Discount</th>
                                                        <th width="15%">Per Item Total</th>
                                                    </tr>
                                                </thead>
                                                <tbody>

                                                    @foreach($inv_item as $it)
                                                    <tr>
                                                        <td><input type="text" class="form-control item_name" name="desc[]" value="{{$it->item}}"></td>

                                                        <td><input type="text" class="form-control item_price" name="amount[]" value="{{$it->price}}"></td>

                                                        <td><input type="text" class="form-control qty" value="{{$it->qty}}" name="qty[]"></td>

                                                        <td><input type="text" class="form-control tax" name="taxed[]" value="{{$it->tax}}"></td>

                                                        <td><input type="text" class="form-control discount" name="discount[]" value="{{$it->discount}}"></td>

                                                        <td class="ltotal"><input type="text" class="form-control lvtotal" readonly name="ltotal[]" value="{{$it->total}}"></td>

                                                    </tr>
                                                    @endforeach

                                                </tbody>
                                            </table>
                                        </div><!-- /table-responsive -->

                                        <div class="row bottom-inv-con">
                                            <div class="col-md-6">
                                                <button type="button" class="btn btn-brand" id="blank-add"><i class="fa fa-plus"></i> Add Item</button>
                                                <button type="button" class="btn btn-danger" id="item-remove"><i class="fa fa-minus-circle"></i> Delete</button>
                                            </div>
                                            <div class="col-md-6">
                                                <p class="grand-total-box"><strong>Total :</strong><span id="sub_total">{{$inv->total}}</span></p>
                                            </div>
                                        </div>

                                        <textarea class="form-control" name="notes" id="notes" rows="3" placeholder="Invoice Terms...">{{$inv->note}}</textarea>
                                        <br>

                                        <div class="text-right">
                                            <input type="hidden" value="{{url()}}" id="_url">
                                            <input type="hidden" value="{{$inv->id}}" id="cmd">
                                            <button class="btn btn-brand" type="submit"><i class="fa fa-save"></i> Update Invoice</button>
                                        </div>

                                    </div>
                                    
                                </div>





                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/lib/dp/dist/datepicker.min.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    {!! Html::script("assets/lib/dp/dist/datepicker.min.js") !!}
    {!! Html::script("assets/lib/invoice-edit.js") !!}

    <script type="text/javascript">
        $('.select2').select2();
    </script>

@endsection