@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="col-lg-12" id="sysfrm_ajaxrender">
                <div class="panel p-xl">
                    <div class="panel-body">

                        <div class="invoice">
                            <div class="bill-info">
                                <div class="row">
                                    <div class="col-md-6 col-sm-6 visible-xs">
                                        <div class="action-bar clearfix">
                                            <input type="hidden" name="iid" value="{{$inv->id}}" id="iid">
                                            <div class="btn-group" role="group" aria-label="...">
                                                <div class="btn-group" role="group">
                                                    <button type="button" class="btn  btn-success btn-sm dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Mark As <span class="caret"></span></button>
                                                    <ul class="dropdown-menu" role="menu">

                                                        @if($inv->status!='Paid')
                                                        <li><a href="#" id="mark_paid">Paid</a></li>
                                                        @endif

                                                        @if($inv->status!='Unpaid')
                                                        <li><a href="#" id="mark_unpaid">Unpaid</a></li>
                                                        @endif

                                                        @if($inv->status!='Partially Paid')
                                                        <li><a href="#" id="mark_partially_paid">Partially Paid</a></li>
                                                        @endif

                                                         @if($inv->status!='Cancelled')
                                                        <li><a href="#" id="mark_cancelled">Cancelled</a></li>
                                                        @endif

                                                    </ul>
                                                </div>
                                                <a href="{{url('admin/client-iview/'.$inv->id)}}" target="_blank" class="btn btn-danger  btn-sm"><i class="fa fa-paper-plane-o"></i> Preview</a>
                                                <a href="{{url('admin/invoice-edit/'.$inv->id)}}" class="btn btn-warning  btn-sm"><i class="fa fa-pencil"></i> Edit</a>
                                                <a href="{{url('admin/iprint/'.$inv->id)}}" target="_blank" class="btn btn-brand  btn-sm"><i class="fa fa-print"></i> Print</a>
                                            </div>
                                        </div>
                                            
                                        <div class="bill-data">
                                            <p>
                                                <span class="bill-data-title">Invoice No:</span>
                                                <span class="bill-data-value">#{{$inv->id}}</span>
                                            </p>
                                            <p>
                                                <span class="bill-data-title">Invoice Status:</span>

                                                @if($inv->status=='Unpaid')
                                                <span class="bill-data-value"><span class="bill-data-status label-warning">Unpaid</span></span>

                                                @elseif($inv->status=='Paid')
                                                <span class="bill-data-value"><span class="bill-data-status label-success">Paid</span></span>

                                                @elseif($inv->status=='Partially Paid')
                                                <span class="bill-data-value"><span class="bill-data-status label-info">Partially Paid</span></span>

                                                @else
                                                <span class="bill-data-value"><span class="bill-data-status label-danger">Cancelled</span></span>
                                                @endif
                                            </p>

                                            <p>
                                                <span class="bill-data-title">Invoice Date:</span>
                                                <span class="bill-data-value">{{$inv->created}}</span>
                                            </p>
                                            <p>
                                                <span class="bill-data-title">Due Date:</span>
                                                <span class="bill-data-value">{{$inv->duedate}}</span>
                                            </p>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6">

                                        <div class="ib invoice-conpany-logo">
                                            <img src="<?php echo asset(app_config('AppLogo')); ?>" alt="Logo">
                                        </div>

                                        <address class="ib mr-xlg">
                                            {!!app_config('Address')!!}
                                        </address>


                                        <div class="bill-to">
                                            <p class="h5 mb-xs text-dark text-semibold">Invoiced To:</p>
                                            <h3 class="invoice-to-client-name">{{$inv->cname}}</h3>
                                            <address>
                                                {{$cl->address}} <br>
                                                {{$cl->city}}, {{$cl->state}}, {{$cl->country}}
                                                <br><br>
                                                Phone: {{$cl->phone}}
                                                <br>
                                                Email: {{$cl->email}}
                                            </address>
                                        </div>

                                    </div>
                                    <div class="col-md-6 col-sm-6 hidden-xs">
                                        <div class="action-bar clearfix">
                                            <input type="hidden" name="iid" value="{{$inv->id}}" id="iid">
                                            <div class="btn-group  pull-right" role="group" aria-label="...">
                                                <div class="btn-group" role="group">
                                                    <button type="button" class="btn  btn-success btn-sm dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Mark As <span class="caret"></span></button>
                                                    <ul class="dropdown-menu" role="menu">

                                                        @if($inv->status!='Paid')
                                                        <li><a href="#" id="mark_paid">Paid</a></li>
                                                        @endif

                                                        @if($inv->status!='Unpaid')
                                                        <li><a href="#" id="mark_unpaid">Unpaid</a></li>
                                                        @endif

                                                        @if($inv->status!='Partially Paid')
                                                        <li><a href="#" id="mark_partially_paid">Partially Paid</a></li>
                                                        @endif

                                                         @if($inv->status!='Cancelled')
                                                        <li><a href="#" id="mark_cancelled">Cancelled</a></li>
                                                        @endif

                                                    </ul>
                                                </div>
                                                <a href="{{url('admin/client-iview/'.$inv->id)}}" target="_blank" class="btn btn-danger  btn-sm"><i class="fa fa-paper-plane-o"></i> Preview</a>
                                                <a href="{{url('admin/invoice-edit/'.$inv->id)}}" class="btn btn-warning  btn-sm"><i class="fa fa-pencil"></i> Edit</a>
                                                <a href="{{url('admin/iprint/'.$inv->id)}}" target="_blank" class="btn btn-brand  btn-sm"><i class="fa fa-print"></i> Print</a>
                                            </div>
                                        </div>
                                            
                                        <div class="bill-data text-right">
                                            <p>
                                                <span class="bill-data-title">Invoice No:</span>
                                                <span class="bill-data-value">#{{$inv->id}}</span>
                                            </p>
                                            <p>
                                                <span class="bill-data-title">Invoice Status:</span>

                                                @if($inv->status=='Unpaid')
                                                <span class="bill-data-value"><span class="bill-data-status label-warning">Unpaid</span></span>

                                                @elseif($inv->status=='Paid')
                                                <span class="bill-data-value"><span class="bill-data-status label-success">Paid</span></span>

                                                @elseif($inv->status=='Partially Paid')
                                                <span class="bill-data-value"><span class="bill-data-status label-info">Partially Paid</span></span>

                                                @else
                                                <span class="bill-data-value"><span class="bill-data-status label-danger">Cancelled</span></span>
                                                @endif
                                            </p>

                                            <p>
                                                <span class="bill-data-title">Invoice Date:</span>
                                                <span class="bill-data-value">{{$inv->created}}</span>
                                            </p>
                                            <p>
                                                <span class="bill-data-title">Due Date:</span>
                                                <span class="bill-data-value">{{$inv->duedate}}</span>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="table-responsive">
                                <table class="table invoice-items invoice-view">
                                    <thead>
                                    <tr class="h5 text-dark">
                                        <th id="cell-id" class="text-semibold" style="width: 5%;">#</th>
                                        <th id="cell-item" class="text-semibold" style="width: 65%;">Item</th>
                                        <th id="cell-price" class="text-center text-semibold" style="width: 10%;">Price</th>
                                        <th id="cell-qty" class="text-center text-semibold" style="width: 10%;">Quantity</th>
                                        <th id="cell-total" class="text-semibold" style="width: 10%;">Total</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $i='1'; ?>
                                    @foreach($inv_item as $it)
                                    <tr>
                                        <td style="width: 5%;"><?php echo $i++; ?></td>
                                        <td class="text-semibold text-dark" style="width: 65%;">{{$it->item}}</td>
                                        <td class="text-center" style="width: 10%;">{!!app_config('CurrencyCode')!!}{{$it->price}}</td>
                                        <td class="text-center" style="width: 10%;">{{$it->qty}}</td>
                                        <td style="width: 10%;">{!!app_config('CurrencyCode')!!}{{$it->subtotal}}</td>
                                    </tr>
                                    @endforeach

                                    </tbody>
                                </table>
                            </div>

                            <div class="invoice-summary">
                                <div class="row">
                                    <div class="col-lg-2 col-md-3 col-sm-3 col-xs-12">
                                        <div class="inv-block">
                                            <h3 class="count-title">Subtotal</h3>
                                            <p>{!!app_config('CurrencyCode')!!}{{$inv->subtotal}}</p>
                                        </div>
                                    </div>
                                    <div class="col-lg-2 col-md-2 col-sm-2 col-xs-12">
                                        <div class="inv-block">
                                            <h3 class="count-title">TAX</h3>
                                            <p>{!!app_config('CurrencyCode')!!}{{$tax_sum}}</p>
                                        </div>
                                    </div>
                                    <div class="col-lg-2 col-md-2 col-sm-2 col-xs-12">
                                        <div class="inv-block">
                                            <h3 class="count-title">Discount</h3>
                                            <p>{!!app_config('CurrencyCode')!!}{{$dis_sum}}</p>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 col-lg-offset-2 col-md-offset-1 col-sm-offset-1 text-right">
                                        <div class="inv-block last">
                                            <h3 class="count-title">Grand Total</h3>
                                            <p>{!!app_config('CurrencyCode')!!}{{$inv->total}}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        @if($inv->note!='')
                        <div class="well m-t"><b>Notes: </b>{{$inv->note}}</div>
                        @endif


                    </div>


                </div>
            </div>
        </div>

        <input type="hidden" value="{{url()}}" id="_url" >

        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/css/modal.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    {!! Html::script("assets/lib/modal.js") !!}
    {!! Html::script("assets/lib/invoice-view.js") !!}
    <script type="text/javascript">
        $('.select2').select2();
    </script>

@endsection