<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppTitle')}}</title>
    <link rel="icon" type="image/x-icon"  href="<?php echo asset(app_config('AppFav')); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,500,700' rel='stylesheet' type='text/css'>
    
    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/lib/ionicons/css/ionicons.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/landing-page.css") !!}
    {!! Html::style("assets/lib/dropzone/dropzone.css") !!}
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/lib/sweetalert/sweetalert.css") !!}

    @yield('style')

</head>


<body class="landing-body">

<header id="main-header" class="clearfix">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="pull-left left-brands">
                    <a href="{{url('/admin')}}" id="logoLink"><i class="ion-android-cloud"></i><img class="header-logo" src="<?php echo asset(app_config('AppLogo')); ?>" alt="header logo"></a>
                </div>

                <div class="pull-right right-button">
                    <a href="{{url('admin/logout')}}" id="logOutLink"><i class="ion-log-out"></i> Log Out</a>
                </div>
            </div>
        </div>
    </div>
</header>

<div class="container main-wrapper">

    <div class="state-wrapper">

        <div class="jsLinkPage state state-down state-less" id="loginBox">
            <div class="row">
                <div class="col-lg-4 col-md-6 col-sm-6 col-xs-8 col-lg-offset-4 col-md-offset-3 col-sm-offset-3 col-xs-offset-2">
                    <div class="panel">
                        <div class="panel-heading clearfix">
                            <h2 class="panel-title pull-left">Login</h2>
                        </div>
                        <div class="panel-body">
                            <form id="adminLoginForm" action="{{ url('admin/getLogin') }}" method="post">

                                <div class="form-space-20 form-group form-group-default required">
                                    <label for="loginEmail">Your Email</label>
                                    <input type="email" id="loginEmail" name="email" class="form-control">
                                </div>

                                <div class="form-space-20 form-group form-group-default required">
                                    <label for="loginPassword">Password</label>
                                    <input id="loginPassword" type="password" class="form-control" name="password">
                                </div>

                                <div class="form-space-20 form-group">
                                    <div class="cu-checkbox-btn checked email">
                                        <a href="#" class="cu-checkbox" id="keepMeSignIn">
                                            <span class="cu-check-button"></span>
                                            <span class="cu-check-title">Keem me sign in</span>
                                        </a>
                                        <input type="hidden" name="remember" id="checkRemember" value="on">
                                    </div>
                                </div>
                                <div class="b-s-n extra-space form-group">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                    <button id="loginButton" type="submit" class="btn btn-lg btn-brand btn-block">Login</button>
                                </div>
                            </form>
                        </div>
                        <div class="panel-footer clearfix">
                            <a href="{{ url('admin/forgot-password') }}" id="forgotPassBtn" class="jsPageNavigate" data-page="#forgotPasswordBox">Forgot Password ?</a>
                        </div>
                    </div>  
                </div>
            </div>
        </div>

        <div class="jsLinkPage state state-down state-less" id="forgotPasswordBox">
            <div class="row">
                <div class="col-lg-4 col-md-6 col-sm-6 col-xs-8 col-lg-offset-4 col-md-offset-3 col-sm-offset-3 col-xs-offset-2">
                    <div class="panel">
                        <div class="panel-heading clearfix">
                            <h2 class="panel-title pull-left">Forgot Password</h2>
                        </div>
                        <div class="panel-body">
                            <form id="adminForgotPassForm" method="POST" action="{{ url('admin/forgot-password-token') }}">

                                <div class="form-space-20 form-group form-group-default required">
                                    <label for="forgotPassEmail">Your Email</label>
                                    <input type="email" id="forgotPassEmail" name="email" class="form-control">
                                </div>

                                <div class="b-s-n extra-space form-group">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                    <button type="submit" class="btn btn-lg btn-brand btn-block">Send Email</button>
                                </div>
                            </form>
                        </div>
                        <div class="panel-footer clearfix">
                            <a href="{{ url('admin') }}" class="jsPageNavigate" data-page="#loginBox">Back to login</a>
                        </div>
                    </div>  
                </div>
            </div>
        </div>
    </div>

</div>

<footer id="main-footer">
    <div class="container">
        <p>{{app_config('FooterTxt')}}</p>
    </div>
</footer>

<!-- Mainly scripts -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}
{!! Html::script("assets/lib/select2/select2.min.js") !!}
{!! Html::script("assets/lib/sweetalert/sweetalert.min.js") !!}
{!! Html::script("assets/js/admin-landing-page.js") !!}

<script type="text/javascript">
    $('.select2').select2();
</script>


@yield('script')


</body>
</html>