@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="widget-1 col-md-6 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">

                        <form role="form" name="localisation" method="post" action="{{url('admin/localizationPost')}}">
                            <input type="hidden" name="_token" value="{{csrf_token()}}">

                            <div class="form-group">
                                <label for="country">Default Country</label>
                                <select name="country" class="select2">
                                    {!!countries(app_config('Country'))!!}
                                </select>
                            </div>


                            <div class="form-group">
                                <label for="currency_name">Currency Name</label>
                                <input type="text" class="form-control" id="currency_name" name="currency_name" value="{{app_config('Currency')}}">
                            </div>


                            <div class="form-group">
                                <label for="currency_code">Currency Code</label>
                                <input type="text" class="form-control" id="currency_code" name="currency_code" value="{{app_config('CurrencyCode')}}">
                            </div>

                            <div class="hr-line-dashed"></div>

                            <button type="submit" class="btn btn-primary"><i class="fa fa-check"></i> Submit</button>
                        </form>

                    </div>
                </div>



            </div>
        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection


@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}

    <script type="text/javascript">
        $('.select2').select2();
    </script>

@endsection