<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppName')}} - Admin Login</title>
    <link rel="icon" type="image/x-icon"  href="<?php echo asset(app_config('AppFav')); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/css/logincss.css") !!}
</head>

<body>
<div class="wrapper no-navigation preload">
    <div class="sign-in-wrapper">
        <div class="sign-in-inner">

            <div class="col-md-12">
                <div class="login-brand text-center">
                    <img class="logo" src="<?php echo asset(app_config('AppLogo')); ?>" alt="Logo">
                </div>

                <form class="form-horizontal" role="form" method="POST" action="{{ url('admin/getLogin') }}">
                    <input type="hidden" name="_token" value="{{ csrf_token() }}">

                    <div class="form-group m-bottom-md">
                        <input type="email" class="form-control" id="email" name="email" placeholder="Email Address">
                    </div>

                    <div class="form-group m-bottom-md">
                        <input type="password" class="form-control" id="password" name="password" placeholder="Password">
                    </div>



                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-10">
                            <div class="checkbox">
                                <label>
                                    <input type="checkbox" name="remember"> Remember me
                                </label>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <button class="btn btn-success block full-width" name="login" type="submit">Sign in</button>
                    </div>







                    <div class="form-group">
                        @include('notification.notify')
                    </div>

                    <div class="m-top-md p-top-sm">
                        <div class="font-12 text-center m-bottom-xs">
                            <a href="{{url('admin/forgot-password')}}" class="font-12">Forgot password ?</a>

                        </div>
                    </div>
                </form>
            </div>
        </div>
        <!-- ./sign-in-inner -->
    </div>
    <!-- ./sign-in-wrapper -->
</div>
<!-- /wrapper -->


<!-- Le javascript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery.slimscroll.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}

</body>
</html>
