@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="widget-1 col-md-6 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="POST" action="{{ url('admin/payment-gateway-update') }}">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">

                            <div class="form-group">
                                <label for="gname">Gateway Name</label>
                                <input type="text" class="form-control" value="{{$pg->name}}" name="gateway" readonly>
                            </div>

                            <div class="form-group">
                                <label for="name">
                                    @if($pg->name=='Paypal')
                                        Payal Email
                                     @elseif($pg->name=='Stripe')
                                        Publishable Key
                                     @elseif($pg->name=='Bank')
                                        Bank Details
                                     @elseif($pg->name=='Authorize.net')
                                        Api Login ID
                                    @else
                                         Value
                                     @endif

                                </label>
                                <input type="text" class="form-control" id="value" name="value" value="{{$pg->value}}">
                            </div>

                            @if($pg->name=='Stripe' OR $pg->name=='Authorize.net')

                            <div class="form-group">
                                <label for="username">
                                @if($pg->name=='Stripe')
                                      Secret Key
                                 @else
                                        Transaction Key
                                  @endif
                                </label>
                                <input type="text" class="form-control" id="extra_value" name="extra_value" value="{{$pg->extra_value}}">
                            </div>
                            @endif

                            <div class="form-group">
                                <label for="status">Status</label>
                                <select name="status" class="select2">
                                    <option value="active" @if($pg->status=='active') selected @endif>Active</option>
                                    <option value="inactive" @if($pg->status=='inactive') selected @endif>Inactive</option>
                                </select>
                            </div>

                            <div class="hr-line-dashed"></div>
                            <input type="hidden" value="{{$pg->name}}" name="cmd">
                            <button type="submit" name="update" class="btn btn-info">Update</button>

                            </form>
                    </div>
                </div>
            </div> <!-- Widget-1 end-->

            <!-- Widget-2 end-->
        </div>



        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}

    <script>
            $('.select2').select2();
    </script>

@endsection