@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')
        <div class="row">
            <div class="widget-1 col-md-12 col-sm-12 animated fadeIn">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">Support Departments </h3>
                        <a href="{{url('admin/support-tickets/add-department')}}" class="btn btn-primary btn-xs pull-right"><i class="fa fa-plus"></i> Add Department</a>
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Department Name</th>
                                        <th>Email</th>
                                        <th>Show in Client</th>
                                        <th class="text-right">Manage</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    @foreach($sd as $in)
                                    <tr>
                                        <td><a href="{{url('admin/support-tickets/view-department/'.$in->id)}}">{{$in->id}}</a> </td>
                                        <td><a href="{{url('admin/support-tickets/view-department/'.$in->id)}}">{{$in->name}}</a> </td>
                                        <td>{{$in->email}}</td>
                                        <td>
                                            @if($in->show=='No')
                                            <span class="label label-danger">No</span>
                                            @else
                                            <span class="label label-success">Yes</span>
                                            @endif

                                        </td>

                                        <td class="text-right">
                                            <a href="{{url('admin/support-tickets/view-department/'.$in->id)}}" class="btn btn-primary btn-xs"><i class="fa fa-eye"></i> View</a>
                                            <a href="#" class="btn btn-danger btn-xs cdelete" id="{{$in->id}}"><i class="fa fa-trash"></i> Delete</a>
                                        </td>
                                    </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                         <?php echo str_replace('/?', '?',$sd->render()); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <input type="hidden" id="_url" value="{{url()}}">
        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection



@section('style')
    {!! Html::style("assets/css/modal.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/modal.js") !!}

    <script>
        $(".cdelete").click(function (e) {
            e.preventDefault();
            var id = this.id;
            bootbox.confirm("Are you sure?", function(result) {
                if(result){
                    var _url = $("#_url").val();
                    window.location.href = _url + "/admin/support-tickets/delete-department/" + id;
                }
            });
        });
    </script>
@endsection