@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')
        <div class="row">
            <div class="widget-1 col-md-12 col-sm-12 animated fadeIn">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">@if($type=='All') All @elseif($type=='Pending') Pending @elseif($type=='Answered') Answered @elseif($type=='reply') Customer Reply @else Closed @endif Support Tickets </h3>
                    </div>

                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Client Name</th>
                                        <th>Email</th>
                                        <th>Subject</th>
                                        <th>Date</th>
                                        <th>Status</th>
                                        <th class="text-right">Manage</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    @foreach($st as $in)
                                    <tr>
                                        <td><a href="{{url('admin/support-tickets/view-ticket/'.$in->id)}}">{{$in->id}}</a> </td>
                                        <td><a href="{{url('admin/view-client/'.$in->userid)}}">{{$in->name}}</a> </td>
                                        <td>{{$in->email}}</td>
                                        <td>{{$in->subject}}</td>
                                        <td>{{$in->date}}</td>
                                        <td>
                                            @if($in->status=='Pending')
                                            <span class="label label-danger">Pending</span>
                                            @elseif($in->status=='Answered')
                                            <span class="label label-success">Answered</span>
                                            @elseif($in->status=='Customer Reply')
                                            <span class="label label-info">Customer Reply</span>
                                            @else
                                            <span class="label label-primary">Closed</span>
                                            @endif
                                        </td>

                                        <td class="text-right">
                                            <a href="{{url('admin/support-tickets/view-ticket/'.$in->id)}}" class="btn btn-primary btn-xs"><i class="fa fa-eye"></i> View</a>
                                            <a href="#" class="btn btn-danger btn-xs cdelete" id="{{$in->id}}"><i class="fa fa-trash"></i> Delete</a>
                                        </td>
                                    </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                         <?php echo str_replace('/?', '?',$st->render()); ?>
                    </div>
                </div>
            </div>
        </div>

        <input type="hidden" id="_url" value="{{url()}}">
        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection




@section('style')
    {!! Html::style("assets/css/modal.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/modal.js") !!}

    <script>
        $(".cdelete").click(function (e) {
            e.preventDefault();
            var id = this.id;
            bootbox.confirm("Are you sure?", function(result) {
                if(result){
                    var _url = $("#_url").val();
                    window.location.href = _url + "/admin/support-tickets/delete-ticket/" + id;
                }
            });
        });
    </script>
@endsection