@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')
        <div class="row"  id="sysfrm_ajaxrender">
            <div class="widget-1 col-md-12 col-sm-12 animated fadeIn">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">All Uploads </h3>
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>File ID</th>
                                        <th>Upload Type</th>
                                        <th>Upload Time</th>
                                        <th>Expire Time</th>
                                        <th>Files Count</th>
                                        <th>Size</th>
                                        <th>Password</th>
                                        <th>Status</th>
                                        <th>Expire</th>
                                        <th>IP</th>
                                        <th class="text-right">Manage</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i='1'; ?>
                                    @foreach($u as $in)
                                    <tr>
                                        <td><?php echo $i++; ?> </td>
                                        <td>{{$in->fileid}}</td>
                                        <td>{{$in->upload_type}}</td>
                                        <td>{{$in->upload_date}}</td>
                                        <td>{{$in->expire_time}}</td>
                                        <td>{{$in->filescount}}</td>
                                        <td>{{$in->size}} MB</td>
                                        <td>{{$in->password}}</td>
                                        <td>
                                            @if($in->status=='Ready')
                                            <span class="label label-success">Ready</span>
                                            @else
                                            <span class="label label-danger">Removed</span>
                                            @endif
                                        </td>

                                        <td>
                                            @if($in->expire=='Yes')
                                            <span class="label label-danger">Yes</span>
                                            @else
                                            <span class="label label-success">No</span>
                                            @endif
                                        </td>
                                        <td>{{$in->ip}}</td>
                                        <td class="text-right">
                                            @if($in->status!='Removed')
                                                @if($in->expire=='No')

                                                    <a href="#" class="btn btn-primary btn-xs sharefile" id="{{$in->fileid}}"><i class="fa fa-send"></i> Share</a>

                                                    <a href="{{url('client/file-sharing/user-download/'.$in->fileid)}}" target="_blank" class="btn btn-info btn-xs cdownload" id="{{$in->fileid}}"><i class="fa fa-download"></i> Download</a>
                                            @endif
                                                    <a href="#" class="btn btn-warning btn-xs cdestory" id="{{$in->fileid}}"><i class="fa fa-times"></i> Destroy</a>
                                            @endif
                                            <a href="#" class="btn btn-danger btn-xs cdelete" id="{{$in->fileid}}"><i class="fa fa-trash"></i> Delete</a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                         <?php echo str_replace('/?', '?',$u->render()); ?>
                    </div>
                </div>
            </div>
        </div>

        <input type="hidden" id="_url" value="{{url()}}">
        <div id="ajax-modal" class="modal bs-example-modal-sm fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection


@section('style')
    {!! Html::style("assets/css/modal.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/modal.js") !!}
    {!! Html::script("assets/lib/file-view.js") !!}
    {!! Html::script("assets/lib/admin-share-file.js") !!}

    <script>
        $(".cdelete").click(function (e) {
            e.preventDefault();
            var id = this.id;
            bootbox.confirm("Are you sure?", function(result) {
                if(result){
                    var _url = $("#_url").val();
                    window.location.href = _url + "/admin/uploads/delete-file/" + id;
                }
            });
        });

        $(".cdestory").click(function (e) {
            e.preventDefault();
            var id = this.id;
            bootbox.confirm("Are you sure?", function(result) {
                if(result){
                    var _url = $("#_url").val();
                    window.location.href = _url + "/admin/uploads/destroy-file/" + id;
                }
            });
        });

    </script>
@endsection