@extends('master')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row animated fadeIn">
            <div class="widget-1 col-md-6 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="POST" action="{{ url('admin/support-tickets/update-department') }}">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">

                            <div class="form-group">
                                <label for="dname">Department Name</label>
                                <input type="text" class="form-control" id="dname" name="dname" value="{{$d->name}}">
                            </div>

                            <div class="form-group">
                                <label for="email">Department Email</label>
                                <input type="email" class="form-control" id="email" name="email"  value="{{$d->email}}">
                            </div>

                            <div class="form-group">
                                <label for="show">Show in Client</label>
                                <select name="show" class="select2">
                                    <option value="Yes" @if($d->show=='Yes') selected @endif>Yes</option>
                                    <option value="No" @if($d->show=='No') selected @endif>No</option>
                                </select>
                            </div>


                            <div class="hr-line-dashed"></div>
                            <input type="hidden" name="cmd" value="{{$d->id}}">
                            <button type="submit" name="add" class="btn btn-info"><i class="fa fa-edit"></i> Update</button>
                        </form>
                    </div>
                </div>
            </div>
            <!-- Widget-1 end-->

            <!-- Widget-2 end-->
        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}

    <script type="text/javascript">
        $('.select2').select2();
    </script>

@endsection