@extends('master')

@section('content')

    <div class="wrapper wrapper-content">

        @include('notification.notify')

        <div class="row" id="sysfrm_ajaxrender">
            <div class="col-md-5">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">Ticket Details</h3>
                    </div>

                    <div class="panel-body">
                        <div class="clearfix ticket-de-pane">
                            <span class="ticket-status-title">Ticket For:</span>
                            <span class="ticket-status-content">{{$st->name}}</span>
                        </div>

                        <div class="clearfix ticket-de-pane">
                            <span class="ticket-status-title">Email:</span>
                            <span class="ticket-status-content">{{$st->email}}</span>
                        </div>

                        <div class="clearfix ticket-de-pane">
                            <span class="ticket-status-title">Created Date:</span>
                            <span class="ticket-status-content">{{$st->date}}</span>
                        </div>

                        <div class="clearfix ticket-de-pane">
                            <span class="ticket-status-title">Created By:</span>
                            @if($st->admin=='0')
                                <span class="ticket-status-content">{{$st->name}}</span>
                            @else
                                <span class="ticket-status-content">{{$st->admin}}</span>
                            @endif
                        </div>

                        <div class="clearfix ticket-de-pane">
                            <span class="ticket-status-title">Department:</span>
                            <span class="ticket-status-content">{{$td->name}}</span>
                        </div>

                        <div class="clearfix ticket-de-pane">
                            <span class="ticket-status-title">Status:</span>
                            @if($st->status=='Pending')
                                <span class="label label-danger">Pending</span>
                            @elseif($st->status=='Answered')
                                <span class="label label-success">Answered</span>
                            @elseif($st->status=='Customer Reply')
                                <span class="label label-info">Customer Reply</span>
                            @else
                                <span class="label label-primary">Closed</span>
                            @endif
                        </div>

                        @if($st->status=='Closed')
                            <div class="clearfix ticket-de-pane">
                                <span class="ticket-status-title">Closed By:</span>
                                <span class="ticket-status-content">{{$st->closed_by}}</span>
                            </div>
                        @endif

                        <div class="section-devider"></div>

                        <div class="clearfix">
                            <span class="ticket-status-title">Subject:</span>
                            <span class="ticket-status-content">{{$st->subject}}</span>
                        </div>
                        <div class="clearfix">
                            <span class="ticket-status-title">Message:</span>
                            <div class="ticket-status-content">{!!$st->message!!}</div>
                        </div>

                    </div>
                </div>

            </div>

            <div class="col-md-7">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        Reply Tickets
                        <div class="ibox-tools">
                            <button type="button" class="btn  btn-success btn-xs" id="department"><i class="fa fa-info"></i> Change Department</button>

                            <button type="button" class="btn  btn-info btn-xs" id="status"><i class="fa fa-exchange"></i> Change Status</button>
                        </div>
                    </div>
                    <div class="panel-body">

                        <form method="POST" action="{{ url('admin/support-tickets/replay-ticket') }}">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">

                            <div class="form-group">
                                <label for="message">Message</label>
                                <textarea class="form-control" id="content" name="message"></textarea>
                            </div>


                            <div class="hr-line-dashed"></div>
                            <input type="hidden" value="{{$st->id}}" name="cmd">
                            <button type="submit" name="add" class="btn btn-info"> Reply Ticket <i class="fa fa-reply"></i></button>
                        </form>

                        <div class="section-devider"></div>

                        <div class="support-replies">
                            @foreach($trply as $tr)
                                @if($tr->admin!='client')

                                <div class="single-support-reply clearfix admin">
                                    <div class="reply-info">
                                        <img class="reply-user-thumb" src="<?php echo asset('assets/system/profile-icon.png'); ?>" height="80px" width="80px">
                                        <div class="reply-info-text">
                                            <h4 class="reply-user-name">{{$tr->admin}}</h4>
                                            <h5 class="reply-date"> - {{$tr->date}}</h5>
                                            <h5 class="reply-user-type"><span class="label label-success">Admin</span></h5>
                                            <div class="reply-message">{!!$tr->message!!}</div>
                                        </div>
                                    </div>
                                </div>

                                @else

                                <div class="single-support-reply clearfix client">
                                    <div class="reply-info">
                                        <img class="reply-user-thumb" src="<?php echo asset('assets/system/profile-icon.png'); ?>" height="80px" width="80px">
                                        <div class="reply-info-text">
                                            <h4 class="reply-user-name">{{$tr->name}}</h4>
                                            <h5 class="reply-date">{{$tr->date}}</h5>
                                            <h5 class="reply-user-type"><span class="label label-success">Client</span></h5>
                                            <div class="reply-message">{!!$tr->message!!}</div>
                                        </div>
                                    </div>
                                </div>

                                @endif

                            @endforeach
                        </div>

                    </div>
                </div>

            </div>

        </div>
        <input type="hidden" id="sid" value="{{$st->id}}" name="sid">
        <input type="hidden" value="{{url()}}" id="_url">

        <div id="ajax-modal" class="modal bs-example-modal-sm fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/css/modal.css") !!}
    {!! Html::style("assets/lib/redactor/redactor.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    {!! Html::script("assets/lib/modal.js") !!}
    {!! Html::script("assets/lib/ticket-view.js") !!}
    {!! Html::script("assets/lib/redactor/redactor.js") !!}

    <script type="text/javascript">
        $('.select2').select2();
        $('#content').redactor();
    </script>

@endsection