<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppTitle')}}</title>
    <link rel="icon" type="image/x-icon"  href="<?php echo asset(app_config('AppFav')); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/lib/ionicons/css/ionicons.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/fileinput.css") !!}
    @yield('style')

</head>


<body class="fixed-nav mini-navbar">

<div id="wrapper">
    <nav id="mainLeftNav" class="navbar-default navbar-static-side" role="navigation">
        <div id="mailLeftNavInner" class="mailLeftNavInner">
            <div class="logo-area-f">
                <img class="logo" src="<?php echo asset(app_config('AppLogo')); ?>" alt="Logo">
                <i class="logo-min-icon fa fa-cloud"></i>
            </div>
            <div class="sidebar-collapse">
                <ul class="nav" id="side-menu">
                    <li @if(Request::path()== 'client/dashboard') class="initActive active" @endif>
                        <a href="{{url('client/dashboard')}}"><i class="fa fa-th-large"></i> <span class="nav-label">Dashboard</span></a>
                    </li>


                    <li @if(Request::path()== 'client/all-invoices' OR Request::path()=='client/all-recurring-invoices'  OR Request::path()=='client/view-invoice/'.view_id()) class="initActive active hasSub" @endif>
                        <a href="#"><i class="fa fa-shopping-cart"></i> <span class="nav-label">Invoices</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li><a href="{{url('client/all-invoices')}}">All Invoices</a></li>
                            <li><a href="{{url('client/all-recurring-invoices')}}">All Recurring Invoices</a></li>
                        </ul>
                    </li>


                    <li @if(Request::path()== 'client/file-sharing/send-file') class="initActive active" @endif>
                        <a href="{{url('client/file-sharing/send-file')}}" target="_blank"><i class="fa fa-send"></i> <span class="nav-label">Share File</span></a>
                    </li>

                    <li @if(Request::path()== 'client/uploads') class="initActive active" @endif>
                        <a href="{{url('client/uploads')}}"><i class="fa fa-upload"></i> <span class="nav-label">Uploads</span></a>
                    </li>

{{--
                    <li @if(Request::path()== 'client/downloads') class="initActive active" @endif>
                        <a href="{{url('client/downloads')}}"><i class="fa fa-download"></i> <span class="nav-label">Downloads</span></a>
                    </li>
--}}



                    <li @if(Request::path()== 'client/support-tickets/all' OR Request::path()=='client/support-tickets/pending' OR Request::path()=='client/support-tickets/answered' OR Request::path()=='client/support-tickets/customer-reply' OR Request::path()=='client/support-tickets/closed' OR Request::path()=='client/support-tickets/create-new'  OR Request::path()=='client/support-tickets/view-ticket/'.view_id()) class="initActive active hasSub" @endif>
                        <a href="#"><i class="fa fa-envelope"></i> <span class="nav-label">Support Tickets</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li><a href="{{url('client/support-tickets/all')}}">All Support Tickets</a></li>
                            <li><a href="{{url('client/support-tickets/pending')}}">Pending Tickets</a></li>
                            <li><a href="{{url('client/support-tickets/answered')}}">Answered Tickets</a></li>
                            <li><a href="{{url('client/support-tickets/customer-reply')}}">Customer Reply Tickets</a></li>
                            <li><a href="{{url('client/support-tickets/closed')}}">Closed Tickets</a></li>
                            <li><a href="{{url('client/support-tickets/create-new')}}">Create New Tickets</a></li>
                        </ul>
                    </li>

                    <li>
                        <a href="{{url('client/logout')}}"><i class="fa fa-sign-out"></i> <span class="nav-label">Log Out</span></a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div id="page-wrapper" class="gray-bg">

        <div id="page-wrapper-content">

            <div class="row clearfix page-title-wrapper">
                <div class="col-lg-12">
                    <div class="col-lg-12">
                        <h2 class="page-name-f pull-left">{{$sys_menu}}</h2>
                        <div class="nav navbar-top-links navbar-right hidden-xs">
                            <button data-toggle="dropdown" class="profile_image_btn dropdown-toggle">
                                <span class="">{{Auth::client()->user()->fname}} {{Auth::client()->user()->lname}} <i class="fa fa-caret-down"></i></span>

                                @if(Auth::client()->user()->img=='')
                                    <img src="<?php echo asset("assets/system/profile-icon.png"); ?>" alt="Profile Image">
                                @else
                                    <img src="<?php echo asset(Auth::client()->user()->img); ?>"  class="img-thumbnail img-responsive" alt="Profile Image">
                                @endif

                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="{{url('client/edit-profile')}}">Edit Profile</a></li>
                                <li><a href="{{url('client/logout')}}">Logout</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-12">
                @yield('content')
            </div>

            <div class="footer">
                <div>
                    {{app_config('FooterTxt')}}
                </div>
            </div>

        </div>

    </div>
</div>

<!-- Mainly scripts -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}
{!! Html::script("assets/js/jquery.metisMenu.js") !!}
{!! Html::script("assets/js/jquery.slimscroll.min.js") !!}
{!! Html::script("assets/js/app.js") !!}
{!! Html::script("assets/js/pace.min.js") !!}
{!! Html::script("assets/lib/progress.js") !!}
{!! Html::script("assets/lib/bootbox.min.js") !!}

@yield('script')


</body>
</html>