@extends('client')

@section('content')


    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row">
            <div class="widget-1 col-md-12 col-sm-12 animated fadeIn">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">All Invoices </h3>
                    </div>

                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Amount</th>
                                    <th>Invoice Date</th>
                                    <th>Due Date</th>
                                    <th>Status</th>
                                    <th>Type</th>
                                    <th class="text-right">Manage</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tbody>

                                @foreach($inv as $in)
                                <tr>
                                    <td><a href="{{url('client/view-invoice/'.$in->id)}}" target="_blank">{{$in->id}}</a> </td>
                                    <td>{{$in->total}}</td>
                                    <td>{{$in->created}}</td>
                                    <td>{{$in->duedate}}</td>
                                    <td>
                                        @if($in->status=='Unpaid')
                                        <span class="label label-danger">Unpaid</span>
                                        @elseif($in->status=='Paid')
                                        <span class="label label-success">Paid</span>
                                        @elseif($in->status=='Cancelled')
                                        <span class="label label-warning">Cancelled</span>
                                        @else
                                        <span class="label label-info">Partially Paid</span>
                                        @endif

                                    </td>
                                    <td>
                                        @if($in->recurring=='0')
                                        <span class="label label-success"> Onetime</span>
                                        @else
                                        <span class="label label-success"> Recurring</span>
                                        @endif
                                    </td>
                                    <td class="text-right">
                                        <a href="{{url('client/view-invoice/'.$in->id)}}" class="btn btn-primary btn-xs" target="_blank"><i class="fa fa-check"></i> View</a>
                                    </td>
                                </tr>
                                @endforeach

                                </tbody>
                            </table>
                        </div>
                         <?php echo str_replace('/?', '?',$inv->render()); ?>
                    </div>
                </div>
            </div>
        </div>

        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection
