@extends('client')

@section('content')

    @include('notification.notify')


    <div class="wrapper wrapper-content">

        <div class="row animated fadeInDown">
            <div class="widget-1 col-md-6 col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="POST" action="{{ url('client/support-tickets/post-ticket') }}">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">


                            <div class="form-group">
                                <label for="cid">Ticket Form</label>
                                <input type="text" class="form-control" value="{{$user->fname}} {{$user->lname}}"  readonly>
                            </div>

                            <div class="form-group">
                                <label for="subject">Subject</label>
                                <input type="text" class="form-control" id="subject" name="subject">
                            </div>

                            <div class="form-group">
                                <label for="message">Message</label>
                                <textarea class="form-control" id="content" name="message"></textarea>
                            </div>

                            <div class="form-group">
                                <label for="did">Department</label>
                                <select name="did" class="select2">
                                    @foreach($sd as $d)
                                    <option value="{{$d->id}}">{{$d->name}}</option>
                                    @endforeach
                                </select>
                            </div>


                            <div class="hr-line-dashed"></div>
                            <input type="hidden" value="{{$user->id}}" name="cid">
                            <button type="submit" name="add" class="btn btn-info"><i class="fa fa-plus"></i> Create Ticket</button>
                        </form>
                    </div>
                </div>
            </div>
            <!-- Widget-1 end-->

            <!-- Widget-2 end-->
        </div>


        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/lib/redactor/redactor.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    {!! Html::script("assets/lib/redactor/redactor.js") !!}

    <script type="text/javascript">
        $('.select2').select2();
        $('#content').redactor();
    </script>

@endsection