@extends('client')

@section('content')

    @include('notification.notify')

    <div class="wrapper wrapper-content">

        <div class="row">

            <div class="col-lg-5 col-md-12">
                <div class="row">
                    <div class="widget-1 col-lg-12">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h3 class="panel-title">Recent Upload</h3>
                                <div class="ibox-tools">
                                    <a href="{{url('client/uploads')}}" class="btn btn-info btn-xs"><i class="fa fa-eye"></i> View All</a>
                                </div>
                            </div>
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                        <th>ID</th>
                                        <th>Time</th>
                                        <th>Size</th>
                                        <th class="text-right">Password</th>
                                        </thead>
                                        <tbody>
                                        @foreach($uploads as $u)
                                            <tr>
                                                <td>{{$u->fileid}}</td>
                                                <td>{{$u->upload_date}}</td>
                                                <td>
                                                    @if($u->size>1)
                                                        {{$u->size}} MB
                                                    @else
                                                        Near 1 MB
                                                    @endif</td>
                                                <td class="text-right">{{$u->password}}</td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

            <div class="col-lg-7 col-md-12">
                <div class="row">
                    <div class="widget-3 col-lg-12">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h3 class="panel-title">Last 5 Tickets</h3>
                            </div>
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <thead>
                                        <th>Subject</th>
                                        <th>Date</th>
                                        <th class="text-right">Status</th>
                                        </thead>
                                        <tbody>
                                        @foreach($st as $t)
                                            <tr>
                                                <td><a href="{{url('client/support-tickets/view-ticket/'.$t->id)}}">{{$t->subject}}</a></td>
                                                <td>{{$t->date}}</td>
                                                <td class="text-right">
                                                    @if($t->status=='Pending')
                                                        <span class="label label-danger">Pending</span>
                                                    @elseif($t->status=='Answered')
                                                        <span class="label label-success">Answered</span>
                                                    @elseif($t->status=='Customer Reply')
                                                        <span class="label label-info">Customer Reply</span>
                                                    @else
                                                        <span class="label label-primary">Closed</span>
                                                    @endif
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        </div>

        <div class="row">
            <div class="col-lg-12 col-md-12">
                <div class="widget-4 col-lg-12">
                    <div class="panel">
                        <div class="panel-heading clearfix">
                            <h3 class="panel-title">Recent Invoices</h3>
                        </div>
                        <div class="panel-body">
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <thead>
                                    <th>Date</th>
                                    <th>Amount</th>
                                    <th class="text-right">Status</th>
                                    </thead>
                                    <tbody>
                                    @foreach($inv as $in)
                                        <tr>
                                            <td>{{$in->created}}</td>
                                            <td><a href="{{url('client/view-invoice/'.$in->id)}}">{{$in->total}}</a> </td>
                                            <td class="text-right">
                                                @if($in->status=='Unpaid')
                                                    <span class="label label-danger">Unpaid</span>
                                                @elseif($in->status=='Paid')
                                                    <span class="label label-success">Paid</span>
                                                @elseif($in->status=='Cancelled')
                                                    <span class="label label-warning">Cancelled</span>
                                                @else
                                                    <span class="label label-info">Partially Paid</span>
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection
