@extends('client')

@section('content')

    <div class="wrapper wrapper-content">
        @include('notification.notify')

        <div class="row">
            <div class="col-md-12">

                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-lg-3 client-pic">
                                <div class="thumb-info">
                                    @if($cl->img=='')
                                        <img src="<?php echo asset("assets/system/profile-icon.png"); ?>" class="img-responsive" width="340px" height="340px">
                                    @else
                                        <img src="<?php echo asset("$cl->img"); ?>" class="img-responsive" width="340px" height="340px">
                                    @endif
                                </div>

                            </div>
                            <div class="col-lg-9 client-info">
                                <h2 class="s-client-name">{{$cl->fname}} {{$cl->lname}}</h2>
                                <p><b>Email: </b>{{$cl->email}}</p>
                                @if($cl->phone!='')
                                    <p><b>Phone: </b>{{$cl->phone}}</p>
                                @endif
                                <p><b>User Type: </b>{{$cl->utype}}</p>
                                <p><b>Address: </b> {{$cl->address}} {{$cl->state}} {{$cl->city}} {{$cl->country}}</p>
                            </div>
                        </div>

                    </div>


                </div>

            </div>

            <div class="col-md-12">
                <div class="client-details" role="tabpanel">

                    <!-- Nav tabs -->
                    <ul class="client-details-nav nav nav-tabs" role="tablist">
                        <li role="presentation" class="active">
                            <a href="#invoices" aria-controls="home" role="tab" data-toggle="tab"><span class="fa fa-credit-card"></span> Invoices</a>
                        </li>
                        <li role="presentation">
                            <a href="#tickets" aria-controls="profile" role="tab" data-toggle="tab"><span class="fa fa-envelope"></span> Tickets</a>
                        </li>
                        <li role="presentation">
                            <a href="#edit" aria-controls="messages" role="tab" data-toggle="tab"><span class="fa fa-pencil"></span> Edit</a>
                        </li>
                        <li role="presentation">
                            <a href="#change_pic" aria-controls="settings" role="tab" data-toggle="tab"><span class="fa fa-camera"></span> Change Picture</a>
                        </li>
                    </ul>

                    <div class="client-details-content tab-content">

                        <div role="tabpanel" class="tab-pane fade in active" id="invoices">
                            @if($inv->count()>0)
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Client Name</th>
                                        <th>Amount</th>
                                        <th>Invoice Date</th>
                                        <th>Due Date</th>
                                        <th>Status</th>
                                        <th>Type</th>
                                        <th class="text-right">Manage</th>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    @foreach($inv as $in)
                                        <tr>
                                            <td><a href="{{url('client/view-invoice/'.$in->id)}}">{{$in->id}}</a> </td>
                                            <td><a href="{{url('client/view-client/'.$in->cid)}}">{{$in->cname}}</a> </td>
                                            <td>{{$in->total}}</td>
                                            <td>{{$in->created}}</td>
                                            <td>{{$in->duedate}}</td>
                                            <td>
                                                @if($in->status=='Unpaid')
                                                    <span class="label label-danger">Unpaid</span>
                                                @elseif($in->status=='Paid')
                                                    <span class="label label-success">Paid</span>
                                                @elseif($in->status=='Cancelled')
                                                    <span class="label label-warning">Cancelled</span>
                                                @else
                                                    <span class="label label-info">Partially Paid</span>
                                                @endif

                                            </td>
                                            <td>
                                                @if($in->recurring=='0')
                                                    <span class="label label-success"><i class="fa fa-dot-circle-o"></i> Onetime</span>
                                                @else
                                                    <span class="label label-success"><i class="fa fa-repeat"></i> Recurring</span>
                                                @endif
                                            </td>
                                            <td class="text-right">
                                                <a href="{{url('client/view-invoice/'.$in->id)}}" class="btn btn-brand btn-xs"><i class="fa fa-check"></i> View</a>
                                            </td>
                                        </tr>
                                    @endforeach

                                    </tbody>
                                </table>

                            @else
                                <p class="text-center">There have no Invoice For this Client</p>
                            @endif
                        </div>

                        <div role="tabpanel" class="tab-pane fade" id="tickets">
                            @if($st->count()>0)
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Client Name</th>
                                        <th>Email</th>
                                        <th>Subject</th>
                                        <th>Date</th>
                                        <th>Status</th>
                                        <th class="text-right">Manage</th>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    @foreach($st as $in)
                                        <tr>
                                            <td><a href="{{url('client/support-tickets/view-ticket/'.$in->id)}}">{{$in->id}}</a> </td>
                                            <td><a href="{{url('client/view-client/'.$in->userid)}}">{{$in->name}}</a> </td>
                                            <td>{{$in->email}}</td>
                                            <td>{{$in->subject}}</td>
                                            <td>{{$in->date}}</td>
                                            <td>
                                                @if($in->status=='Pending')
                                                    <span class="label label-danger">Pending</span>
                                                @elseif($in->status=='Answered')
                                                    <span class="label label-success">Answered</span>
                                                @elseif($in->status=='Customer Reply')
                                                    <span class="label label-info">Customer Reply</span>
                                                @else
                                                    <span class="label label-primary">Closed</span>
                                                @endif
                                            </td>

                                            <td class="text-right">
                                                <a href="{{url('client/support-tickets/view-ticket/'.$in->id)}}" class="btn btn-brand btn-xs"><i class="fa fa-eye"></i> View</a>
                                            </td>
                                        </tr>
                                    @endforeach

                                    </tbody>
                                </table>

                            @else
                                <p class="text-center">There have no Support Tickets For this Client</p>
                            @endif
                        </div>

                        <div role="tabpanel" class="tab-pane fade" id="edit">
                            <form method="POST" action="{{url('client/update-client')}}">
                                <input type="hidden" name="_token" value="{{ csrf_token() }}">

                                <div class="row">

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="fname">First Name</label>
                                            <input type="text" class="form-control" id="fname" name="fname" value="{{$cl->fname}}">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="lname">Last Name</label>
                                            <input type="text" class="form-control" id="lname" name="lname"  value="{{$cl->lname}}">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="email">Email</label>
                                            <input type="email" class="form-control" id="email" name="email"  value="{{$cl->email}}">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="password">Password</label>
                                            <input type="password" class="form-control" id="password" name="password">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="phone">Phone Number</label>
                                            <input type="text" class="form-control" id="phone" name="phone"  value="{{$cl->phone}}">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="address">Address</label>
                                            <input type="text" class="form-control" id="address" name="address"  value="{{$cl->address}}">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="state">State/Region</label>
                                            <input type="text" class="form-control" id="state" name="state"  value="{{$cl->state}}">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="City">City</label>
                                            <input type="text" class="form-control" id="city" name="city"  value="{{$cl->city}}">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="Country">Country</label>
                                            <select name="country" class="select2" id="country">
                                                {!!countries($cl->country)!!}
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="utype">User Type</label>
                                            <select class="select2" id="utype" disabled>
                                                <option value="premium" @if($cl->utype=='premium') selected @endif>Premium User</option>
                                                <option value="normal"  @if($cl->utype=='normal') selected @endif>Normal User</option>
                                            </select>
                                        </div>
                                    </div>

                                </div>



                                <div class="hr-line-dashed"></div>
                                <input type="hidden" id="cid" value="{{$cl->id}}" name="cid">
                                <button type="submit" name="add" class="btn btn-info" id="submit">Update</button>
                            </form>
                        </div>

                        <div role="tabpanel" class="tab-pane fade" id="change_pic">
                            <div class="row">
                                <div class="col-lg-3">
                                    <div class="changable-thumb">
                                        @if($cl->img=='')
                                            <img src="<?php echo asset("assets/system/profile-icon.png"); ?>" class="img-thumbnail" />
                                        @else
                                            <img src="<?php echo asset("$cl->img"); ?>" class="img-thumbnail">
                                        @endif
                                    </div>
                                </div>
                                <div class="col-lg-9">
                                    <form class="form-horizontal single-client-info-form" method="post" action="{{url('client/update-image')}}" enctype="multipart/form-data">
                                        <input type="hidden" value="{{csrf_token()}}" name="_token">

                                        <div class="form-group">

                                            <label class="col-lg-2 control-label" for="picture">Picture</label>

                                            <div class="col-lg-10">
                                                <div class="input-group">
                                                    <span class="input-group-btn">
                                                        <span class="btn btn-brand btn-file">
                                                            Browse <input type="file" class="form-control" id="profile_image" name="profile_image" >
                                                        </span>
                                                    </span>
                                                    <input type="text" class="form-control" readonly >
                                                </div>
                                            </div>


                                        </div>

                                        <div class="form-group">
                                            <div class="col-lg-offset-2 col-lg-10">
                                                <input type="hidden" name="cmd" value="{{$cl->id}}">
                                                <button class="btn btn-brand" type="submit" ><i class="fa fa-check"></i> Submit</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

@endsection

@section('style')
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/css/fileinput.css") !!}
@endsection

@section('script')
    {!! Html::script("assets/lib/select2/select2.min.js") !!}
    {!! Html::script("assets/lib/fileinput.js") !!}


    <script type="text/javascript">
        $('.select2').select2();
        $("#file-0").fileinput({
            'allowedFileExtensions' : ['jpg', 'png','gif'],
        });


        $(document).on('change', '.btn-file :file', function () {
            var input = $(this),
                    numFiles = input.get(0).files ? input.get(0).files.length : 1,
                    label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });

        $(document).ready(function () {
            $('.btn-file :file').on('fileselect', function (event, numFiles, label) {

                var input = $(this).parents('.input-group').find(':text'),
                        log = numFiles > 1 ? numFiles + ' files selected' : label;
                if (input.length) {
                    input.val(log);
                } else {
                    if (log) alert(log);
                }

            });
        });

    </script>


@endsection