<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppTitle')}}</title>
    <link rel="icon" type="image/x-icon"  href="<?php echo asset(app_config('AppFav')); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/datetimepicker/css/bootstrap-datetimepicker.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/lib/ionicons/css/ionicons.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/landing-page.css") !!}
    {!! Html::style("assets/lib/dropzone/dropzone.css") !!}
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/lib/sweetalert/sweetalert.css") !!}

    @yield('style')

</head>

<body class="landing-body premium-file-share-page @if(\Auth::client()->check()) loggedin @endif">

<header id="main-header" class="clearfix">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="pull-left left-brands">
                    <a href="{{url('/')}}" id="logoLink" class="jsPageNavigate" data-page="#uploadStates"><i class="ion-android-cloud"></i><img class="header-logo" src="{{ asset(app_config('AppLogo')) }}" alt="header logo"></a>
                </div>

                <div class="pull-right right-button">
                    <button data-toggle="dropdown" class="profile_image_btn dropdown-toggle">
                        <span class="">{{Auth::client()->user()->fname}} {{Auth::client()->user()->lname}} <i class="fa fa-caret-down"></i></span>

                        @if(Auth::client()->user()->img=='')
                            <img src="<?php echo asset("assets/system/profile-icon.png"); ?>" alt="Profile Image">
                        @else
                            <img src="<?php echo asset(Auth::client()->user()->img); ?>"  class="img-thumbnail img-responsive" alt="Profile Image">
                        @endif

                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="{{url('client/edit-profile')}}">Edit Profile</a></li>
                        <li><a href="{{url('client/logout')}}">Logout</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</header>

<div class="container main-wrapper">

    <div class="state-wrapper">
        <div class="jsLinkPage state state-down state-less" id="uploadStates">
            <div class="row">
                <div class="state-wrapper col-lg-8 col-md-8 col-sm-10 col-xs-10 col-lg-offset-2 col-md-offset-2 col-sm-offset-1 col-xs-offset-1">
                    <div class="state state-1 state-active">

                        <div class="heading-wrapper text-center text-white">
                            <h1 class="heading">Upload your files</h1>
                            <h2 class="sub-heading">You can upload &amp; send your files directly it's free !</h2>
                        </div>

                        <form id="myAwesomeDropzone" method="post" action="{{url('client/file-sharing/pro-user')}}" class="dropzone" enctype="multipart/form-data">
                            <input type="hidden" name="_token" value="{{csrf_token()}}">
                            <input type="hidden"  value="{{app_config('ProMaxUpload')}}" id="maxupload">
                            <input type="hidden"  value="{{_raid('10')}}" name="token_id">
                            <div class="fallback">
                                <input name="file" type="file" multiple />
                            </div>
                        </form>
                    </div>

                    <div class="state state-2 state-down state-less">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h2 class="panel-title pull-left">All Files</h2>
                            </div>
                            <div class="panel-body">
                                <div class="dropzone-previews files-preview-container"></div>
                                <div id="previewTemplate" style="display:none">
                                    <div class="dz-preview dz-file-preview">
                                        <div class="dz-details">
                                            <div class="dz-thumbnail"></div>
                                            <div class="dz-filename"><span data-dz-name></span></div>
                                            <span class="dz-sep"> - </span>
                                            <div class="dz-size" data-dz-size></div>
                                        </div>
                                        <div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div>
                                        <div class="dz-success-mark"><i class="ion-checkmark-round"></i></div>
                                        <div class="dz-error-message"><span data-dz-errormessage></span></div>
                                        <a class="dz-remove" href="javascript:undefined;" data-dz-remove>
                                            <i class='dz-cancel-file ion-close-circled' data-toggle="tooltip" data-placement="top" title="Cancel"></i>
                                            <i class='dz-remove-file ion-trash-b' data-toggle="tooltip" data-placement="top" title="Delete"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="panel-footer clearfix text-center">
                                <button id="uploadMore" class="btn btn-default pull-left">Add more files</button>
                                <div class="pull-left remining-size-info"><span id="remining_size">0</span> Remaining</div>
                                <button id="goToSubmitForm" disabled="disabled" class="btn btn-brand pull-right">Next</button>
                            </div>
                        </div>
                    </div>

                    <div class="state state-3 state-down state-less">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h2 class="panel-title pull-left">Share your files</h2>
                                <div class="pull-right">
                                    <div class="cu-radio-btn checked email">
                                        <button class="cu-radio">
                                            <span class="cu-radio-button"></span>
                                            <span class="cu-radio-title">Email</span>
                                        </button>
                                    </div>

                                    <div class="cu-radio-btn link">
                                        <button class="cu-radio">
                                            <span class="cu-radio-button"></span>
                                            <span class="cu-radio-title">Link</span>
                                        </button>
                                    </div>

                                </div>
                            </div>
                            <form id="shareFilesForm" action="{{url('client/file-sharing/user-post')}}" method="post">
                                <div class="panel-body">

                                    <div class="file-recipients form-group form-group-default required">
                                        <label for="individual-input-creator">Add Recipients email</label>
                                        <div class="mail-lists"></div>
                                        <input type="email" id="individual-input-creator" class="individual-input-creator form-control">
                                        <input type="hidden" id="recipients-mails" name="email">
                                    </div>

                                    <div class="email-wrapper form-group form-group-default required">
                                        <label for="oemail">Your Email</label>
                                        <input type="email" id="oemail" name="oemail" class="form-control">
                                    </div>

                                    <div class="form-group form-group-default filled">
                                        <label for="subject">Subject</label>
                                        <input id="subject" type="text" class="form-control" value="{{app_config('AppName')}} shared a File with you!" name="subject">
                                    </div>

                                    <div class="form-group form-group-default">
                                        <label for="message">Message to recipient's</label>
                                        <textarea id="message" class="form-control" name="message" rows="4"></textarea>
                                    </div>

                                    <div class="position-relative form-group">
                                        <div class="share-file-sys cu-checkbox-btn checked expire_confirm">
                                            <a href="#" class="cu-checkbox"><span class="cu-check-button"></span><span class="cu-check-title">Expire files</span></a>
                                            <input type="hidden" class="checkbox-input" name="expire_confirm" value="on">
                                        </div>

                                        <input type="text" class="form-control m-t" id="datetimepicker4" name="expire_date">
                                    </div>

                                    <div class="position-relative form-group">
                                        <div class="share-file-sys cu-checkbox-btn password_conf">
                                            <a href="#" class="cu-checkbox"><span class="cu-check-button"></span><span class="cu-check-title">Password protect</span></a>
                                            <input type="hidden" class="checkbox-input" name="password_conf">
                                        </div>

                                        <input type="text" name="password" class="form-control m-t" placeholder="Enter Password">
                                    </div>

                                </div>

                                <div class="panel-footer clearfix text-center">
                                    <input type="hidden" name="_token" value="{{csrf_token()}}">
                                    <input type="hidden" name="utype" id="linkOrEmail" value="email">
                                    <input type="hidden" id="tokenId" name="tokenId" value="null">
                                    <a href="#" id="backToFileAdd" class="btn btn-default pull-left">Back To File Upload</a>
                                    <button id="upload-share-btn" disabled="disabled" type="submit" class="btn btn-brand pull-right">Share</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<footer id="main-footer">
    <div class="container">
        <p>{{app_config('FooterTxt')}}</p>
    </div>
</footer>

<!-- Mainly scripts -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}

{!! Html::script("assets/lib/datetimepicker/moment.min.js") !!}
{!! Html::script("assets/lib/datetimepicker/js/bootstrap-datetimepicker.min.js") !!}
{!! Html::script("assets/lib/dropzone/dropzone.js") !!}
{!! Html::script("assets/lib/select2/select2.min.js") !!}
{!! Html::script("assets/lib/sweetalert/sweetalert.min.js") !!}

{!! Html::script("assets/js/file-share.js") !!}

<script>
    

    // Checkbox functionality -> default toggle class
    $('.share-file-sys.cu-checkbox-btn .checkbox-input').each(function(){
        if ( !$(this).val() ) {
            $(this).closest('.cu-checkbox-btn').removeClass('checked').closest('.form-group').find('.form-control').hide();
        } else {
            $(this).closest('.cu-checkbox-btn').addClass('checked').closest('.form-group').find('.form-control').show();
        }
    });

    // Checkbox functionality -> bind to click
    $('.share-file-sys > a').click(function (e) {
        e.preventDefault();
        var box = $(this).parent(),
            input = $(this).siblings('input.checkbox-input'),
            state;

        state = ( ( box.hasClass('checked') && input.val() !== '' ) ? 'checked' : '' );

        if (state == 'checked') {
            box.removeClass('checked');
            input.val('');
            input.change();

        } else {
            box.addClass('checked');
            input.val( 'on' );
            input.change();
        }
    });

    // Checkbox functionality -> bind to change
    $('.cu-checkbox-btn .checkbox-input').on('change', function(){
        if ( !$(this).val() ) {
            $(this).closest('.cu-checkbox-btn').removeClass('checked').closest('.form-group').find('.form-control').hide();
        } else {
            $(this).closest('.cu-checkbox-btn').addClass('checked').closest('.form-group').find('.form-control').show().focus();
        }
    });

</script>

@yield('script')


</body>
</html>