<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppTitle')}}</title>
    <link rel="icon" type="image/x-icon" href="<?php echo asset(app_config('AppFav')); ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}"/>
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,500,700' rel='stylesheet' type='text/css'>

    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/lib/ionicons/css/ionicons.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/landing-page.css") !!}
    {!! Html::style("assets/css/file-download.css") !!}

    @yield('style')

</head>


<body class="landing-body">

<header id="main-header" class="clearfix">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="pull-left left-brands">
                    <a href="{{url('/')}}" id="logoLink" class="jsPageNavigate" data-page="#uploadStates">
                        <i class="ion-android-cloud"></i>
                        <img class="header-logo" src="<?php echo asset(app_config('AppLogo')); ?>" alt="header logo">
                    </a>
                </div>

                <div class="pull-right right-button">
                    <a href="{{url('register')}}" id="signUpLink" class="jsPageNavigate" data-page="#signUpBox"><i class="ion-android-person-add"></i> SignUp</a>

                    <a href="{{url('client/request-premium-user')}}" id="requestLink" class="jsPageNavigate" data-page="#premiumUserReq"><i class="ion-android-bulb"></i> Request</a>

                    <a href="{{url('login')}}" id="loginLink" class="jsPageNavigate" data-page="#loginBox"><i class="ion-locked"></i> Login</a>

                    <a href="{{url('client/logout')}}" id="logOutLink"><i class="ion-log-out"></i> Log Out</a>
                </div>
            </div>
        </div>
    </div>
</header>

<div class="container main-wrapper">
    <div class="row">
        <div class="col-lg-8 col-md-8 col-sm-10 col-xs-10 col-lg-offset-2 col-md-offset-2 col-sm-offset-1 col-xs-offset-1">
            <div class="state-wrapper">
                <div id="fileDownload" class="state state-down state-less">
                    <div class="panel">
                        <div class="panel-heading clearfix">
                            <h2 class="panel-title pull-left">Download Files</h2>
                        </div>
                        @include('notification.notify')
                        <form method="post" action="{{url('client/guest-batch-download')}}">
                        <div class="panel-body">

                            <div class="form-space-20 form-group form-group-default filled">
                                <label for="loginEmail">Share Link</label>
                                <input type="text" id="shareGuestFile" class="form-control" value="{{url('client/file-sharing/guest-download/'.$id)}}">
                            </div>


                            <div class="table-responsive">
                                <table class="table table-bordered downloadable-file-lists">

                                    @foreach($d as $f)
                                        <?php
                                            $f_size = ($f->file_size / 1024) / 1024;
                                            $file_size = number_format($f_size, 4, '.', '');
                                            $file_type=get_filetype($f->file_type);
                                        ?>
                                        <tr class="listed" data->
                                            <td class="d-file-selection">
                                                <div class="cu-checkbox-btn file-download-selection">
                                                    <a href="#" class="cu-checkbox"><span class="cu-check-button"></span></a>
                                                    <input type="hidden" name="file_id[]" data-sname="{{$f->sname}}"  class="checkbox-input">
                                                    <input type="hidden" name="token_id" value="{{$f->file_token}}">
                                                </div>
                                            </td>
                                            <td class="d-file">

                                                @if($file_type=='image')
                                                <i class="ion-image"></i>
                                                    @elseif($file_type=='audio')
                                                    <i class="ion-volume-medium"></i>
                                                    @elseif($file_type=='video')
                                                    <i class="ion-ios-videocam"></i>
                                                    @else
                                                    <i class='ion-android-document'></i>
                                                @endif

                                                @if($file_type=='image')
                                                <a href="{{url('client/file-sharing/guest-download-image-file/'.$f->file_token.'/'.$f->file_name)}}" target="_blank" class="d-file-name"> {{$f->file_name}}</a>
                                                @else
                                                    <a href="{{url('client/file-sharing/guest-download-file/'.$f->file_token.'/'.$f->file_name)}}" class="d-file-name">{{$f->file_name}}</a>
                                                @endif

                                            </td>
                                            <td class="d-file-size">{{$file_size}} MB</td>
                                            <td class="d-download">
                                                <a href="{{url('client/file-sharing/guest-download-file/'.$f->file_token.'/'.$f->file_name)}}" data-toggle="tooltip" data-placement="top" title="Download"><i class="ion-android-download"></i></a>
                                            </td>
                                        </tr>

                                    @endforeach

                                </table>

                            </div>
                        </div>
                        <div class="panel-footer clearfix text-center">
                            <button id="toggleMarkUploadedFiles" data-mark="markAll" class="btn btn-default pull-left">Mark
                                All
                            </button>
                            <input type="hidden" name="_token" value="{{csrf_token()}}">
                                <button id="downloadUploadedFiles" class="btn btn-brand pull-right" type="submit">Download As Zip</button>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<footer id="main-footer">
    <div class="container">
        <p>{{app_config('FooterTxt')}}</p>
    </div>
</footer>

<!-- Mainly scripts -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}
<script>

    $(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });

    function downloadButton(state) {
        if(state == 'show') {
            $('#downloadUploadedFiles').show();
        } else {
            $('#downloadUploadedFiles').hide();
        }
    }

    // Checkbox functionality -> default toggle class
    $('.cu-checkbox-btn .checkbox-input').each(function(){
        if ( !$(this).val() ) {
            $(this).closest('.cu-checkbox-btn').removeClass('checked');
        } else {
            $(this).closest('.cu-checkbox-btn').addClass('checked');
            downloadButton('show');
        }
    });

    // Checkbox functionality -> bind to click
    $('.file-download-selection > a').click(function (e) {
        e.preventDefault();
        var box = $(this).parent(), input = $(this).siblings('input.checkbox-input'), state;

        state = ( ( box.hasClass('checked') && input.val() !== '' ) ? 'checked' : '' );

        if (state == 'checked') {
            box.removeClass('checked');
            input.val('');
            input.change();

        } else {
            box.addClass('checked');
            input.val( input.data('sname') );
            input.change();
            downloadButton('show');
        }
    });

    // Checkbox functionality -> bind to change
    $('.cu-checkbox-btn .checkbox-input').on('change', function(){
        if ( !$(this).val() ) {
            $(this).closest('.cu-checkbox-btn').removeClass('checked');
        } else {
            $(this).closest('.cu-checkbox-btn').addClass('checked');
        }

        var val = [];
        var checkedVal = [];

        $('.cu-checkbox-btn .checkbox-input').each(function(){
            if ( !!$(this).val() ) {
                checkedVal.push( $(this).val() );
            }
            val.push( $(this).val() );
        });

        if ( !!val.join('') ) {
            if ( checkedVal.length === val.length ) {
                if ($('#toggleMarkUploadedFiles').data('mark') == 'markAll') {
                    $('#toggleMarkUploadedFiles').text('Unmark All').data('mark', 'unmarkAll');
                }
            }
        } else {
            if ($('#toggleMarkUploadedFiles').data('mark') == 'unmarkAll') {
                $('#toggleMarkUploadedFiles').text('Mark All').data('mark', 'markAll');
            }
            downloadButton('hide');
        }

    });

    $('#toggleMarkUploadedFiles').on('click', function (e) {
        e.preventDefault();

        if ($(this).data('mark') == 'markAll') {
            $(this).text('Unmark All').data('mark', 'unmarkAll');
            $('input.checkbox-input').each(function(){
                $(this).val($(this).data('sname')).change();
                downloadButton('show');
            });
        } else {
            $(this).text('Mark All').data('mark', 'markAll');
            $('input.checkbox-input').val('').change();
            downloadButton('hide');
        }
    });

    $('#fileDownload').removeClass( 'state-fade state-down state-less' ).addClass('state-active');

    $('#shareGuestFile').click(function () {
        $(this).select();
    });


</script>

@yield('script')


</body>
</html>