<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppTitle')}}</title>
    <link rel="icon" type="image/x-icon"  href="<?php echo asset(app_config('AppFav')); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,500,700' rel='stylesheet' type='text/css'>
    
    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/lib/ionicons/css/ionicons.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/landing-page.css") !!}
    {!! Html::style("assets/lib/dropzone/dropzone.css") !!}
    {!! Html::style("assets/lib/select2/select2.css") !!}
    {!! Html::style("assets/lib/sweetalert/sweetalert.css") !!}

    @yield('style')

</head>


<body class="landing-body @if(\Auth::client()->check()) loggedin @endif">

<header id="main-header" class="clearfix">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="pull-left left-brands">
                    <a href="{{url('/')}}" id="logoLink" class="jsPageNavigate" data-page="#uploadStates"><i class="ion-android-cloud"></i><img class="header-logo" src="{{ asset(app_config('AppLogo')) }}" alt="header logo"></a>
                </div>

                <div class="pull-right right-button">
                    <a href="{{url('register')}}" id="signUpLink" class="jsPageNavigate" data-page="#signUpBox"><i class="ion-android-person-add"></i> SignUp</a>

                    <a href="{{url('client/request-premium-user')}}" id="requestLink" class="jsPageNavigate" data-page="#premiumUserReq"><i class="ion-android-bulb"></i> Request</a>

                    <a href="{{url('login')}}" id="loginLink" class="jsPageNavigate" data-page="#loginBox"><i class="ion-locked"></i> Login</a>

                    <a href="{{url('client/logout')}}" id="logOutLink"><i class="ion-log-out"></i> Log Out</a>
                </div>
            </div>
        </div>
    </div>
</header>

<div class="container main-wrapper">

    <div class="state-wrapper">
        <div class="jsLinkPage state state-down state-less" id="uploadStates">
            <div class="row">
                <div class="state-wrapper col-lg-8 col-md-8 col-sm-10 col-xs-10 col-lg-offset-2 col-md-offset-2 col-sm-offset-1 col-xs-offset-1">
                    <div class="state state-1 state-active">

                        <div class="heading-wrapper text-center text-white">
                            <h1 class="heading">Upload your files</h1>
                            <h2 class="sub-heading">You can upload &amp; send your files directly it's free !</h2>
                        </div>

                        <form id="myAwesomeDropzone" method="post" action="{{url('client/file-sharing/guest')}}" class="dropzone" enctype="multipart/form-data">
                            <input type="hidden" name="_token" value="{{csrf_token()}}">
                            <input type="hidden"  value="{{app_config('MaxUpload')}}" id="maxupload">
                            <input type="hidden"  value="{{_raid('10')}}" name="token_id">
                            <div class="fallback">
                                <input name="file" type="file" multiple />
                            </div>
                        </form>
                    </div>

                    <div class="state state-2 state-down state-less">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h2 class="panel-title pull-left">All Files</h2>
                            </div>
                            <div class="panel-body">
                                <div class="dropzone-previews files-preview-container"></div>
                                <div id="previewTemplate" style="display:none">
                                    <div class="dz-preview dz-file-preview">
                                        <div class="dz-details">
                                            <div class="dz-thumbnail"></div>
                                            <div class="dz-filename"><span data-dz-name></span></div>
                                            <span class="dz-sep"> - </span>
                                            <div class="dz-size" data-dz-size></div>
                                        </div>
                                        <div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div>
                                        <div class="dz-success-mark"><i class="ion-checkmark-round"></i></div>
                                        <div class="dz-error-message"><span data-dz-errormessage></span></div>
                                        <a class="dz-remove" href="javascript:undefined;" data-dz-remove>
                                            <i class='dz-cancel-file ion-close-circled' data-toggle="tooltip" data-placement="top" title="Cancel"></i>
                                            <i class='dz-remove-file ion-trash-b' data-toggle="tooltip" data-placement="top" title="Delete"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="panel-footer clearfix text-center">
                                <button id="uploadMore" class="btn btn-default pull-left">Add more files</button>
                                <div class="pull-left remining-size-info"><span id="remining_size">0</span> Remaining</div>
                                <button id="goToSubmitForm" disabled="disabled" class="btn btn-brand pull-right">Next</button>
                            </div>
                        </div>
                    </div>

                    <div class="state state-3 state-down state-less">
                        <div class="panel">
                            <div class="panel-heading clearfix">
                                <h2 class="panel-title pull-left">Share your files</h2>
                                <div class="pull-right">
                                    <div class="cu-radio-btn checked email">
                                        <button class="cu-radio">
                                            <span class="cu-radio-button"></span>
                                            <span class="cu-radio-title">Email</span>
                                        </button>
                                    </div>

                                    <div class="cu-radio-btn link">
                                        <button class="cu-radio">
                                            <span class="cu-radio-button"></span>
                                            <span class="cu-radio-title">Link</span>
                                        </button>
                                    </div>

                                </div>
                            </div>
                            <form id="shareFilesForm" action="{{url('client/file-sharing/guest-post')}}" method="post">
                                <div class="panel-body">

                                    <div class="file-recipients form-group form-group-default required">
                                        <label for="individual-input-creator">Add Recipients email</label>
                                        <div class="mail-lists"></div>
                                        <input type="email" id="individual-input-creator" class="individual-input-creator form-control">
                                        <input type="hidden" id="recipients-mails" name="email">
                                    </div>

                                    <div class="email-wrapper form-group form-group-default required">
                                        <label for="oemail">Your Email</label>
                                        <input type="email" id="oemail" name="oemail" class="form-control">
                                    </div>

                                    <div class="form-group form-group-default filled">
                                        <label for="subject">Subject</label>
                                        <input id="subject" type="text" class="form-control" value="{{app_config('AppName')}} shared a File with you!" name="subject">
                                    </div>

                                    <div class="form-group form-group-default">
                                        <label for="message">Message to recipient's</label>
                                        <textarea id="message" class="form-control" name="message" rows="4"></textarea>
                                    </div>
                                </div>

                                <div class="panel-footer clearfix text-center">
                                    <input type="hidden" name="_token" value="{{csrf_token()}}">
                                    <input type="hidden" name="utype" id="linkOrEmail" value="email">
                                    <input type="hidden" id="tokenId" name="tokenId" value="null">
                                    <a href="#" id="backToFileAdd" class="btn btn-default pull-left">Back To File Upload</a>
                                    <button id="upload-share-btn" disabled="disabled" type="submit" class="btn btn-brand pull-right">Share</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="jsLinkPage state state-down state-less" id="signUpBox">
            <div class="row">
                <div class="col-lg-6 col-md-8 col-sm-10 col-xs-8 col-lg-offset-3 col-md-offset-2 col-sm-offset-1 col-xs-offset-2">
                    <div class="panel">
                        <div class="panel-heading clearfix">
                            <h2 class="panel-title pull-left">Create New Account</h2>
                        </div>
                        <form id="clientSignUpForm" action="{{ url('client/post-register') }}" method="post">
                            <input type="hidden" name="_token" value="{{csrf_token()}}">
                            <div class="panel-body">
                                <div class="row row-10">
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <div class="form-space-20 form-group form-group-default required">
                                            <label for="FirstName">First Name</label>
                                            <input type="text" name="fname" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <div class="form-space-20 form-group form-group-default">
                                            <label for="lname">Last Name</label>
                                            <input type="text"  name="lname" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <div class="form-space-20 form-group form-group-default required">
                                            <label for="loginEmail">Your Email</label>
                                            <input type="email" id="loginEmail" name="email" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <div class="form-space-20 form-group form-group-default required">
                                            <label for="password">Password</label>
                                            <input type="password"  name="password" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-12 col-sm-12 col-xs-12">
                                        <div class="b-s-n form-group form-group-default form-group-select2 required">
                                            <label for="country">Country</label>
                                            <select name="country" class="select2">
                                                {!!countries(app_config('Country'))!!}
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="panel-footer clearfix text-right">
                                <button type="submit" class="btn btn-lg btn-brand">Register</button>
                            </div>
                        </form>
                    </div>  
                </div>
            </div>
        </div>

        <div class="jsLinkPage state state-down state-less" id="loginBox">
            <div class="row">
                <div class="col-lg-4 col-md-6 col-sm-6 col-xs-8 col-lg-offset-4 col-md-offset-3 col-sm-offset-3 col-xs-offset-2">
                    <div class="panel">
                        <div class="panel-heading clearfix">
                            <h2 class="panel-title pull-left">Login</h2>
                        </div>
                        <form id="clientLoginForm" action="{{ url('client/getLogin') }}" method="post">
                            <div class="panel-body">

                                <div class="form-space-20 form-group form-group-default required">
                                    <label for="loginEmail">Your Email</label>
                                    <input type="email" id="loginEmail" name="email" class="form-control">
                                </div>

                                <div class="form-space-20 form-group form-group-default required">
                                    <label for="loginPassword">Password</label>
                                    <input id="loginPassword" type="password" class="form-control" name="password">
                                </div>

                                <div class="form-space-20 form-group">
                                    <div class="cu-checkbox-btn checked email">
                                        <a href="#" class="cu-checkbox" id="keepMeSignIn">
                                            <span class="cu-check-button"></span>
                                            <span class="cu-check-title">Keem me sign in</span>
                                        </a>
                                        <input type="hidden" name="remember" id="checkRemember" value="on">
                                    </div>
                                </div>
                                <div class="b-s-n extra-space form-group">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                    <button id="loginButton" type="submit" class="btn btn-lg btn-brand btn-block">Login</button>
                                </div>
                            </div>
                            <div class="panel-footer clearfix">
                                <a href="{{ url('client/forgot-password') }}" id="forgotPassBtn" class="jsPageNavigate" data-page="#forgotPasswordBox">Forgot Password ?</a>
                            </div>
                        </form>
                    </div>  
                </div>
            </div>
        </div>

        <div class="jsLinkPage state state-down state-less" id="forgotPasswordBox">
            <div class="row">
                <div class="col-lg-4 col-md-6 col-sm-6 col-xs-8 col-lg-offset-4 col-md-offset-3 col-sm-offset-3 col-xs-offset-2">
                    <div class="panel">
                        <div class="panel-heading clearfix">
                            <h2 class="panel-title pull-left">Forgot Password</h2>
                        </div>
                        <form id="clientForgotPassForm" method="POST" action="{{ url('client/forgot-password-token') }}">
                            <div class="panel-body">

                                <div class="form-space-20 form-group form-group-default required">
                                    <label for="forgotPassEmail">Your Email</label>
                                    <input type="email" id="forgotPassEmail" name="email" class="form-control">
                                </div>

                                <div class="b-s-n extra-space form-group">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                    <button type="submit" class="btn btn-lg btn-brand btn-block">Send Email</button>
                                </div>
                            </div>
                        </form>
                    </div>  
                </div>
            </div>
        </div>

        <div class="jsLinkPage state state-down state-less" id="premiumUserReq">
            <div class="row">
                <div class="col-lg-4 col-md-6 col-sm-6 col-xs-8 col-lg-offset-4 col-md-offset-3 col-sm-offset-3 col-xs-offset-2">
                    <div class="panel">
                        <div class="panel-heading clearfix">
                            <h2 class="panel-title">Request for premium user?</h2>
                        </div>
                        <div class="panel-body text-center">

                            <div class="premium-user-thumb text-center">
                                <img src="{{ asset('assets/img/premium-user.png') }}" alt="Premium user">
                            </div>

                            <div class="requestPremiumUserState alert alert-warning requestPremiumUserProcessing @if( isset($request_status) AND $request_status == 'yes') active @endif" ole="alert">Your request is under process</div>

                            <div class="requestPremiumUserState requestPremiumUserSend @if( isset($request_status) AND $request_status == 'no') active @endif">
                                <a href="{{url('client/premium-user-send-request')}}/{{ $user_email or '' }}" class="premium-request-link btn btn-brand btn-lg btn-block">Request for Premium User</a>
                            </div>
                        </div>
                        <div class="panel-footer">
                            <a href="#" class="jsPageNavigate" data-page="#uploadStates">Back To Upload</a>
                        </div>
                    </div>  
                </div>
            </div>
        </div>
    </div>

</div>

<footer id="main-footer">
    <div class="container">
        <p>{{app_config('FooterTxt')}}</p>
    </div>
</footer>

<!-- Mainly scripts -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}
{!! Html::script("assets/lib/dropzone/dropzone.js") !!}
{!! Html::script("assets/lib/select2/select2.min.js") !!}
{!! Html::script("assets/lib/sweetalert/sweetalert.min.js") !!}
{!! Html::script("assets/js/landing-page.js") !!}

<script type="text/javascript">
    $('.select2').select2();
</script>


@yield('script')


</body>
</html>