<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppTitle')}}</title>
    <link rel="icon" type="image/x-icon" href="<?php echo asset(app_config('AppFav')); ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}"/>
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,500,700' rel='stylesheet' type='text/css'>

    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/lib/ionicons/css/ionicons.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/landing-page.css") !!}
    {!! Html::style("assets/css/file-download.css") !!}

    @yield('style')

</head>

<body class="landing-body premium-file-share-page @if(\Auth::client()->check()) loggedin @endif">

<header id="main-header" class="clearfix">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="pull-left left-brands">
                    <a href="{{url('/')}}" id="logoLink" class="jsPageNavigate" data-page="#uploadStates"><i
                                class="ion-android-cloud"></i><img class="header-logo"
                                                                   src="{{ asset(app_config('AppLogo')) }}"
                                                                   alt="header logo"></a>
                </div>
                @if( Auth::client()->check() )
                <div class="pull-right right-button">
                    <button data-toggle="dropdown" class="profile_image_btn dropdown-toggle">
                        <span class="">{{Auth::client()->user()->fname}} {{Auth::client()->user()->lname}} <i
                                    class="fa fa-caret-down"></i></span>

                        @if(Auth::client()->user()->img=='')
                            <img src="<?php echo asset("assets/system/profile-icon.png"); ?>" alt="Profile Image">
                        @else
                            <img src="<?php echo asset(Auth::client()->user()->img); ?>"
                                 class="img-thumbnail img-responsive" alt="Profile Image">
                        @endif

                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="{{url('client/edit-profile')}}">Edit Profile</a></li>
                        <li><a href="{{url('client/logout')}}">Logout</a></li>
                    </ul>
                </div>

                @endif
            </div>
        </div>
    </div>
</header>


<div class="container main-wrapper">

    <div class="jsLinkPage state state-down state-less">
        <div class="row">
            <div class="col-lg-4 col-md-6 col-sm-6 col-xs-8 col-lg-offset-4 col-md-offset-3 col-sm-offset-3 col-xs-offset-2">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        <h2 class="panel-title">Insert password for download</h2>
                    </div>
                    @include('notification.notify')
                    <div class="panel-body">
                        <form action="{{url('client/file-sharing/download-password-file')}}" method="post" autocomplete="off">
                            <input type="hidden" value="{{csrf_token()}}" name="_token">
                            <input type="hidden" name="cmd" value="{{$d->fileid}}">

                            <div class="premium-user-thumb text-center">
                                <img src="{{ asset('assets/img/password-protected.png') }}" alt="Password Protected">
                            </div>

                            <div class="form-group form-group-default required" style="margin-bottom: 20px;">
                                <label for="password">Password</label>
                                <input type="password" name="password" class="form-control" placeholder="Enter Password" autofocus="">
                            </div>

                            <button class="premium-request-link btn btn-brand btn-lg btn-block" type="submit">Download</button>
                        </form>
                    </div>
                    <div class="panel-footer">
                        <a href="{{url('client/dashboard')}}">Back To Dashboard</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<footer id="main-footer">
    <div class="container">
        <p>{{app_config('FooterTxt')}}</p>
    </div>
</footer>

<!-- Mainly scripts -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}
{!! Html::script("assets/lib/sweetalert/sweetalert.min.js") !!}




@yield('script')


</body>
</html>