@extends('client')

@section('content')
    @include('notification.notify')

    <div class="wrapper wrapper-content">
        <div class="row">
            <div class="widget-1 col-md-12 col-sm-12 animated fadeIn">
                <div class="panel">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">@if($type=='All') All @elseif($type=='Pending') Pending @elseif($type=='Answered') Answered @elseif($type=='reply') Customer Reply @else Closed @endif Support Tickets </h3>
                    </div>

                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Email</th>
                                        <th>Subject</th>
                                        <th>Date</th>
                                        <th>Status</th>
                                        <th class="text-right">Manage</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    @foreach($st as $in)
                                    <tr>
                                        <td><a href="{{url('admin/support-tickets/view-ticket/'.$in->id)}}">{{$in->id}}</a> </td>
                                        <td>{{$in->email}}</td>
                                        <td>{{$in->subject}}</td>
                                        <td>{{$in->date}}</td>
                                        <td>
                                            @if($in->status=='Pending')
                                            <span class="label label-danger">Pending</span>
                                            @elseif($in->status=='Answered')
                                            <span class="label label-success">Answered</span>
                                            @elseif($in->status=='Customer Reply')
                                            <span class="label label-info">Customer Reply</span>
                                            @else
                                            <span class="label label-primary">Closed</span>
                                            @endif
                                        </td>

                                        <td class="text-right">
                                            <a href="{{url('client/support-tickets/view-ticket/'.$in->id)}}" class="btn btn-primary btn-xs"><i class="fa fa-eye"></i> View</a>
                                        </td>
                                    </tr>
                                    @endforeach

                                </tbody>
                            </table>
                         <?php echo str_replace('/?', '?',$st->render()); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="ajax-modal" class="modal container fade" tabindex="-1" style="display: none;"></div>
    </div>

@endsection
