<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppTitle')}}</title>
    {!! Html::style("assets/img/favicon.ico", ["rel" => "shortcut icon", "type" => "image/x-icon"]) !!}
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}"/>
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/landing-page.css") !!}

    @yield('style')

</head>


<body class="fixed-nav landing-body">

<div class="landing-apge">
    <div class="overlay"></div>
    <div class="content-area">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="heading text-center text-white">
                        <h1 class="logo">{{app_config('AppName')}}</h1>

                        <h2 class="sub-heading">Request For Premium User</h2>
                    </div>
                </div>
                <div class="col-lg-6 col-lg-offset-3">
                    <div class="forms-area text-center">
                        @include('notification.notify')

                        <h2>Request For Premium User</h2>

                        <div class="download-icon">
                            <i class="fa fa-envelope"></i>
                        </div>


                        <a class="btn download-btn btn-info btn-lg" href="{{url('client/logout')}}"><i class="fa fa-arrow-left"></i> Back To Login</a>
                        
                        <a class="btn download-btn btn-success btn-lg" href="{{url('client/premium-user-send-request/'.$user_email)}}"><i class="fa fa-send"></i>
                            Send Request</a>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Mainly scripts -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}


</body>
</html>