<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>{{app_config('AppTitle')}}</title>
    <link rel="icon" type="image/x-icon"  href="<?php echo asset(app_config('AppFav')); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    {!! Html::style("assets/css/bootstrap.min.css") !!}
    {!! Html::style("assets/lib/fa/css/font-awesome.min.css") !!}
    {!! Html::style("assets/lib/ionicons/css/ionicons.min.css") !!}
    {!! Html::style("assets/css/animate.css") !!}
    {!! Html::style("assets/css/style.css") !!}
    {!! Html::style("assets/css/fileinput.css") !!}
    @yield('style')

</head>


<body class="fixed-nav mini-navbar">

<div id="wrapper">
    <nav id="mainLeftNav" class="navbar-default navbar-static-side" role="navigation">
        <div id="mailLeftNavInner" class="mailLeftNavInner">
            <div class="logo-area-f">
                <img class="logo" src="<?php echo asset(app_config('AppLogo')); ?>" alt="Logo">
                <i class="logo-min-icon fa fa-cloud"></i>
            </div>
            <div class="sidebar-collapse">
                <ul class="nav" id="side-menu">
                    <li @if(Request::path()== 'admin/dashboard') class="initActive active" @endif>
                        <a href="{{url('admin/dashboard')}}"><i class="fa fa-th-large"></i> <span class="nav-label">Dashboard</span></a>
                    </li>

                    <li @if(Request::path()== 'admin/all-clients' OR Request::path()=='admin/add-new-client' OR Request::path()=='admin/view-client/'.view_id() OR Request::path()=='admin/search-client') class="initActive active hasSub" @endif>
                        <a href="#"><i class="fa fa-users"></i> <span class="nav-label">Clients</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li @if(Request::path()== 'admin/all-clients') class="initSubActive" @endif><a href="{{url('admin/all-clients')}}">All Clients</a></li>
                            <li @if(Request::path()== 'admin/add-new-client') class="initSubActive" @endif><a href="{{url('admin/add-new-client')}}">Add New Client</a></li>
                        </ul>
                    </li>

                    <li @if(Request::path()== 'admin/all-invoices' OR Request::path()=='admin/all-recurring-invoices' OR Request::path()=='admin/add-new-invoice' OR Request::path()=='admin/add-recurring-invoice' OR Request::path()=='admin/view-invoice/'.view_id() OR Request::path()=='admin/invoice-edit/'.view_id()) class="initActive active hasSub" @endif>
                        <a href="#"><i class="fa fa-shopping-cart"></i> <span class="nav-label">Invoices</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li  @if(Request::path()== 'admin/all-invoices') class="initSubActive" @endif><a href="{{url('admin/all-invoices')}}">All Invoices</a></li>
                            <li  @if(Request::path()== 'admin/all-recurring-invoices') class="initSubActive" @endif><a href="{{url('admin/all-recurring-invoices')}}">All Recurring Invoices</a></li>
                            <li  @if(Request::path()== 'admin/add-new-invoice') class="initSubActive" @endif><a href="{{url('admin/add-new-invoice')}}">Add New Invoice</a></li>
                            <li  @if(Request::path()== 'admin/add-recurring-invoice') class="initSubActive" @endif><a href="{{url('admin/add-recurring-invoice')}}">Add Recurring Invoice</a></li>
                        </ul>
                    </li>

                    <li @if(Request::path()== 'admin/email-gateway' OR Request::path()=='admin/email-gateway-manage/'.view_id()) class="initActive active" @endif>
                        <a href="{{url('admin/email-gateway')}}"><i class="fa fa-list"></i> <span class="nav-label">Email Gateway</span></a>
                    </li>

                    <li @if(Request::path()== 'admin/uploads') class="initActive active" @endif>
                        <a href="{{url('admin/uploads')}}"><i class="fa fa-upload"></i> <span class="nav-label">Uploads</span></a>
                    </li>

{{--
                    <li @if(Request::path()== 'admin/downloads') class="initActive active" @endif>
                        <a href="{{url('admin/downloads')}}"><i class="fa fa-download"></i> <span class="nav-label">Downloads</span></a>
                    </li>

--}}


                    <li @if(Request::path()== 'admin/support-tickets/all' OR Request::path()=='admin/support-tickets/pending' OR Request::path()=='admin/support-tickets/answered' OR Request::path()=='admin/support-tickets/customer-reply' OR Request::path()=='admin/support-tickets/closed' OR Request::path()=='admin/support-tickets/create-new' OR Request::path()=='admin/support-tickets/department' OR Request::path()=='admin/support-tickets/add-department' OR Request::path()=='admin/support-tickets/view-department/'.view_id() OR Request::path()=='admin/support-tickets/view-ticket/'.view_id()) class="initActive active hasSub" @endif>
                        <a href="#"><i class="fa fa-envelope"></i> <span class="nav-label">Support Tickets</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li @if(Request::path()== 'admin/support-tickets/all'  OR Request::path()=='admin/support-tickets/view-ticket/'.view_id()) class="initSubActive" @endif><a href="{{url('admin/support-tickets/all')}}">All Support Tickets</a></li>
                            <li @if(Request::path()== 'admin/support-tickets/pending') class="initSubActive" @endif><a href="{{url('admin/support-tickets/pending')}}">Pending Tickets</a></li>
                            <li @if(Request::path()== 'admin/support-tickets/answered') class="initSubActive" @endif><a href="{{url('admin/support-tickets/answered')}}">Answered Tickets</a></li>
                            <li @if(Request::path()== 'admin/support-tickets/customer-reply') class="initSubActive" @endif><a href="{{url('admin/support-tickets/customer-reply')}}">Customer Reply Tickets</a></li>
                            <li @if(Request::path()== 'admin/support-tickets/closed') class="initSubActive" @endif><a href="{{url('admin/support-tickets/closed')}}">Closed Tickets</a></li>
                            <li @if(Request::path()== 'admin/support-tickets/create-new') class="initSubActive" @endif><a href="{{url('admin/support-tickets/create-new')}}">Create New Ticket</a></li>
                            <li @if(Request::path()== 'admin/support-tickets/department'  OR Request::path()=='admin/support-tickets/view-department/'.view_id()) class="initSubActive" @endif><a href="{{url('admin/support-tickets/department')}}">Support Department</a></li>
                        </ul>
                    </li>

                    <li @if(Request::path()== 'admin/email-templates' OR Request::path()=='admin/system-settings' OR Request::path()=='admin/localization' OR Request::path()=='admin/payment-gateways' OR Request::path()=='admin/payment-gateway-manage/'.view_id() OR Request::path()=='admin/email-template-manage/'.view_id() OR Request::path()=='admin/time-automation') class="initActive active hasSub" @endif>
                        <a href="#"><i class="fa fa-cog"></i> <span class="nav-label">Settings</span><span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li @if(Request::path()== 'admin/email-templates'  OR Request::path()=='admin/email-template-manage/'.view_id()) class="initSubActive" @endif><a href="{{url('admin/email-templates')}}">Email Templates</a></li>
                            <li @if(Request::path()== 'admin/payment-gateways'  OR Request::path()=='admin/payment-gateway-manage/'.view_id() ) class="initSubActive" @endif><a href="{{url('admin/payment-gateways')}}">Payment Gateways</a></li>
                            <li @if(Request::path()== 'admin/localization') class="initSubActive" @endif><a href="{{url('admin/localization')}}">Localization</a></li>
                            <li @if(Request::path()== 'admin/time-automation') class="initSubActive" @endif><a href="{{url('admin/time-automation')}}">Expire Time Automation</a></li>
                            <li @if(Request::path()== 'admin/system-settings') class="initSubActive" @endif><a href="{{url('admin/system-settings')}}">System Settings</a></li>
                        </ul>
                    </li>

                    <li>
                        <a href="{{url('admin/logout')}}"><i class="fa fa-sign-out"></i> <span class="nav-label">Log Out</span></a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div id="page-wrapper" class="gray-bg">

        <div id="page-wrapper-content">

            <div class="row clearfix page-title-wrapper">
                <div class="col-lg-12">
                    <div class="col-lg-12">
                        <h2 class="page-name-f pull-left">{{$sys_menu}}</h2>
                        <div class="nav navbar-top-links navbar-right hidden-xs">
                            <button data-toggle="dropdown" class="profile_image_btn dropdown-toggle">
                                <span class="">{{Auth::admin()->user()->name}} <i class="fa fa-caret-down"></i></span>
                                @if(Auth::admin()->user()->image=='')
                                    <img src="<?php echo asset('assets/system/profile-icon.png'); ?>" alt="Profile Image">
                                    @else
                                    <img src="<?php echo asset(Auth::admin()->user()->image); ?>" alt="Profile Image">
                                 @endif
                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="{{url('admin/edit-profile')}}">Edit Profile</a></li>
                                <li><a href="{{url('admin/logout')}}">Logout</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-12">
                @yield('content')
            </div>

            <div class="footer">
                <div>
                    {{app_config('FooterTxt')}}
                </div>
            </div>
            
        </div>

    </div>
</div>

<!-- Mainly scripts -->

{!! Html::script("assets/js/jquery-1.10.2.js") !!}
{!! Html::script("assets/js/jquery-ui-1.10.4.min.js") !!}
{!! Html::script("assets/js/bootstrap.min.js") !!}
{!! Html::script("assets/js/jquery.metisMenu.js") !!}
{!! Html::script("assets/js/jquery.slimscroll.min.js") !!}
{!! Html::script("assets/js/app.js") !!}
{!! Html::script("assets/js/pace.min.js") !!}
{!! Html::script("assets/lib/progress.js") !!}
{!! Html::script("assets/lib/bootbox.min.js") !!}

@yield('script')


</body>
</html>