var $stateWrapper = $('#uploadStates');
function changeState(hideSelector, showSelector, next) {
	var $hideWrapper = $stateWrapper.find(hideSelector);
	var $showWrapper = $stateWrapper.find(showSelector);
	var stateHideClass = ( ( !!next == true ) ? 'state-fade' : 'state-down' );

	$hideWrapper.removeClass('state-active').addClass(stateHideClass);

	setTimeout(function(){
		$hideWrapper.addClass('state-less');
	}, 700);

	setTimeout(function(){
		$showWrapper.removeClass( 'state-fade state-down state-less' ).addClass('state-active');
	}, 300);
}


function getCurrentPage(){
	var path = window.location.pathname;
	if( ( path.search('admin') > -1 ) && ( path.search('forgot-password') < 1 ) ) {
		return '#loginBox';
	} else if( path.search('admin/forgot-password') > -1 ) {
		return '#forgotPasswordBox';
	}
}

$(getCurrentPage()).removeClass( 'state-fade state-down state-less' ).addClass('state-active');

function changePagesState(page){
	var $showWrapper = $(page);
	var $hideWrapper = $showWrapper.siblings('.jsLinkPage.state-active');

	$hideWrapper.removeClass('state-active').addClass('state-fade');
	setTimeout(function(){
		$hideWrapper.addClass('state-less').removeClass('state-fade').addClass('state-down');
	}, 700);

	setTimeout(function(){
		$showWrapper.removeClass( 'state-fade state-down state-less' ).addClass('state-active');
	}, 300);
}

function changeURL(selector) {
	window.history.replaceState( {} , '', $(selector).attr('href') );
}

$('.jsPageNavigate').on('click', function(e){
	e.preventDefault();
	var $this = $(this);

	window.history.replaceState( {} , '', e.currentTarget.href );
	changePagesState($(this).data('page'));
});
		

$('#keepMeSignIn').on('click', function(e){
	e.preventDefault();
	$(this).parent().toggleClass('checked');
	var val = $(this).parent().hasClass('checked') ? 'on' : '';
	$('#checkRemember').val( val );
});

$('#adminLoginForm').on('submit', function(e){
	e.preventDefault();

	$.post(e.currentTarget.action, $(this).serialize(), function(data){

		if ( data.validation ) {

			window.location.href = data.url
			
		} else {
			swal({
				title: "Oops!",
				text: data.message,
				type: "error",
				confirmButtonText: "Ok"
			});
		}
	});

});

$('#adminForgotPassForm').on('submit', function(e){
	e.preventDefault();

	$.post(e.currentTarget.action, $(this).serialize(), function(data){

		if( data.status_code == '100' ) {

			swal({
				title: "Good job!",
				text: data.message,
				type: "success"
			}, function(){
				changePagesState( $('#loginBox') );
				changeURL('#loginLink');
			});

		} else {
			swal({
				title: "Error!",
				text: data.message,
				type: "error",
				confirmButtonText: "Cool"
			});
		}
	});

});